// Code generated by protoc-gen-go. DO NOT EDIT.
// source: google/ads/googleads/v0/errors/errors.proto

package errors // import "google.golang.org/genproto/googleapis/ads/googleads/v0/errors"

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import wrappers "github.com/golang/protobuf/ptypes/wrappers"
import common "google.golang.org/genproto/googleapis/ads/googleads/v0/common"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Describes how a GoogleAds API call failed. It's returned inside
// google.rpc.Status.details when a call fails.
type GoogleAdsFailure struct {
	// The list of errors that occurred.
	Errors               []*GoogleAdsError `protobuf:"bytes,1,rep,name=errors,proto3" json:"errors,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *GoogleAdsFailure) Reset()         { *m = GoogleAdsFailure{} }
func (m *GoogleAdsFailure) String() string { return proto.CompactTextString(m) }
func (*GoogleAdsFailure) ProtoMessage()    {}
func (*GoogleAdsFailure) Descriptor() ([]byte, []int) {
	return fileDescriptor_errors_fa6b3b0791612cfd, []int{0}
}
func (m *GoogleAdsFailure) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GoogleAdsFailure.Unmarshal(m, b)
}
func (m *GoogleAdsFailure) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GoogleAdsFailure.Marshal(b, m, deterministic)
}
func (dst *GoogleAdsFailure) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GoogleAdsFailure.Merge(dst, src)
}
func (m *GoogleAdsFailure) XXX_Size() int {
	return xxx_messageInfo_GoogleAdsFailure.Size(m)
}
func (m *GoogleAdsFailure) XXX_DiscardUnknown() {
	xxx_messageInfo_GoogleAdsFailure.DiscardUnknown(m)
}

var xxx_messageInfo_GoogleAdsFailure proto.InternalMessageInfo

func (m *GoogleAdsFailure) GetErrors() []*GoogleAdsError {
	if m != nil {
		return m.Errors
	}
	return nil
}

// GoogleAds-specific error.
type GoogleAdsError struct {
	// An enum value that indicates which error occurred.
	ErrorCode *ErrorCode `protobuf:"bytes,1,opt,name=error_code,json=errorCode,proto3" json:"error_code,omitempty"`
	// A human-readable description of the error.
	Message string `protobuf:"bytes,2,opt,name=message,proto3" json:"message,omitempty"`
	// The value that triggered the error.
	Trigger *common.Value `protobuf:"bytes,3,opt,name=trigger,proto3" json:"trigger,omitempty"`
	// Describes the part of the request proto that caused the error.
	Location *ErrorLocation `protobuf:"bytes,4,opt,name=location,proto3" json:"location,omitempty"`
	// Additional error details, which are returned by certain error codes. Most
	// error codes do not include details.
	Details              *ErrorDetails `protobuf:"bytes,5,opt,name=details,proto3" json:"details,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *GoogleAdsError) Reset()         { *m = GoogleAdsError{} }
func (m *GoogleAdsError) String() string { return proto.CompactTextString(m) }
func (*GoogleAdsError) ProtoMessage()    {}
func (*GoogleAdsError) Descriptor() ([]byte, []int) {
	return fileDescriptor_errors_fa6b3b0791612cfd, []int{1}
}
func (m *GoogleAdsError) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GoogleAdsError.Unmarshal(m, b)
}
func (m *GoogleAdsError) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GoogleAdsError.Marshal(b, m, deterministic)
}
func (dst *GoogleAdsError) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GoogleAdsError.Merge(dst, src)
}
func (m *GoogleAdsError) XXX_Size() int {
	return xxx_messageInfo_GoogleAdsError.Size(m)
}
func (m *GoogleAdsError) XXX_DiscardUnknown() {
	xxx_messageInfo_GoogleAdsError.DiscardUnknown(m)
}

var xxx_messageInfo_GoogleAdsError proto.InternalMessageInfo

func (m *GoogleAdsError) GetErrorCode() *ErrorCode {
	if m != nil {
		return m.ErrorCode
	}
	return nil
}

func (m *GoogleAdsError) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *GoogleAdsError) GetTrigger() *common.Value {
	if m != nil {
		return m.Trigger
	}
	return nil
}

func (m *GoogleAdsError) GetLocation() *ErrorLocation {
	if m != nil {
		return m.Location
	}
	return nil
}

func (m *GoogleAdsError) GetDetails() *ErrorDetails {
	if m != nil {
		return m.Details
	}
	return nil
}

// The error reason represented by type and enum.
type ErrorCode struct {
	// The list of error enums
	//
	// Types that are valid to be assigned to ErrorCode:
	//	*ErrorCode_RequestError
	//	*ErrorCode_BiddingStrategyError
	//	*ErrorCode_UrlFieldError
	//	*ErrorCode_ListOperationError
	//	*ErrorCode_QueryError
	//	*ErrorCode_MutateError
	//	*ErrorCode_FieldMaskError
	//	*ErrorCode_AuthorizationError
	//	*ErrorCode_InternalError
	//	*ErrorCode_QuotaError
	//	*ErrorCode_AdError
	//	*ErrorCode_AdGroupError
	//	*ErrorCode_CampaignBudgetError
	//	*ErrorCode_CampaignError
	//	*ErrorCode_AuthenticationError
	//	*ErrorCode_AdGroupCriterionError
	//	*ErrorCode_AdCustomizerError
	//	*ErrorCode_AdGroupAdError
	//	*ErrorCode_AdSharingError
	//	*ErrorCode_AdxError
	//	*ErrorCode_BiddingError
	//	*ErrorCode_CampaignCriterionError
	//	*ErrorCode_CollectionSizeError
	//	*ErrorCode_CriterionError
	//	*ErrorCode_CustomerError
	//	*ErrorCode_DateError
	//	*ErrorCode_DateRangeError
	//	*ErrorCode_DistinctError
	//	*ErrorCode_FeedAttributeReferenceError
	//	*ErrorCode_FunctionError
	//	*ErrorCode_FunctionParsingError
	//	*ErrorCode_IdError
	//	*ErrorCode_ImageError
	//	*ErrorCode_MediaBundleError
	//	*ErrorCode_MediaFileError
	//	*ErrorCode_MultiplierError
	//	*ErrorCode_NewResourceCreationError
	//	*ErrorCode_NotEmptyError
	//	*ErrorCode_NullError
	//	*ErrorCode_OperatorError
	//	*ErrorCode_RangeError
	//	*ErrorCode_RecommendationError
	//	*ErrorCode_RegionCodeError
	//	*ErrorCode_SettingError
	//	*ErrorCode_StringFormatError
	//	*ErrorCode_StringLengthError
	//	*ErrorCode_OperationAccessDeniedError
	//	*ErrorCode_ResourceAccessDeniedError
	//	*ErrorCode_ResourceCountLimitExceededError
	//	*ErrorCode_AdGroupBidModifierError
	//	*ErrorCode_ContextError
	//	*ErrorCode_FieldError
	//	*ErrorCode_SharedSetError
	//	*ErrorCode_SharedCriterionError
	//	*ErrorCode_CampaignSharedSetError
	//	*ErrorCode_ConversionActionError
	//	*ErrorCode_HeaderError
	//	*ErrorCode_DatabaseError
	//	*ErrorCode_PolicyFindingError
	//	*ErrorCode_CampaignGroupError
	//	*ErrorCode_EnumError
	//	*ErrorCode_KeywordPlanError
	//	*ErrorCode_KeywordPlanCampaignError
	//	*ErrorCode_KeywordPlanNegativeKeywordError
	//	*ErrorCode_KeywordPlanAdGroupError
	//	*ErrorCode_KeywordPlanKeywordError
	//	*ErrorCode_KeywordPlanIdeaError
	//	*ErrorCode_AccountBudgetProposalError
	//	*ErrorCode_UserListError
	//	*ErrorCode_ChangeStatusError
	//	*ErrorCode_FeedError
	//	*ErrorCode_GeoTargetConstantSuggestionError
	//	*ErrorCode_FeedItemError
	//	*ErrorCode_BillingSetupError
	//	*ErrorCode_CustomerClientLinkError
	//	*ErrorCode_CustomerManagerLinkError
	//	*ErrorCode_FeedMappingError
	//	*ErrorCode_CustomerFeedError
	//	*ErrorCode_AdGroupFeedError
	//	*ErrorCode_CampaignFeedError
	ErrorCode            isErrorCode_ErrorCode `protobuf_oneof:"error_code"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *ErrorCode) Reset()         { *m = ErrorCode{} }
func (m *ErrorCode) String() string { return proto.CompactTextString(m) }
func (*ErrorCode) ProtoMessage()    {}
func (*ErrorCode) Descriptor() ([]byte, []int) {
	return fileDescriptor_errors_fa6b3b0791612cfd, []int{2}
}
func (m *ErrorCode) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ErrorCode.Unmarshal(m, b)
}
func (m *ErrorCode) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ErrorCode.Marshal(b, m, deterministic)
}
func (dst *ErrorCode) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ErrorCode.Merge(dst, src)
}
func (m *ErrorCode) XXX_Size() int {
	return xxx_messageInfo_ErrorCode.Size(m)
}
func (m *ErrorCode) XXX_DiscardUnknown() {
	xxx_messageInfo_ErrorCode.DiscardUnknown(m)
}

var xxx_messageInfo_ErrorCode proto.InternalMessageInfo

type isErrorCode_ErrorCode interface {
	isErrorCode_ErrorCode()
}

type ErrorCode_RequestError struct {
	RequestError RequestErrorEnum_RequestError `protobuf:"varint,1,opt,name=request_error,json=requestError,proto3,enum=google.ads.googleads.v0.errors.RequestErrorEnum_RequestError,oneof"`
}

type ErrorCode_BiddingStrategyError struct {
	BiddingStrategyError BiddingStrategyErrorEnum_BiddingStrategyError `protobuf:"varint,2,opt,name=bidding_strategy_error,json=biddingStrategyError,proto3,enum=google.ads.googleads.v0.errors.BiddingStrategyErrorEnum_BiddingStrategyError,oneof"`
}

type ErrorCode_UrlFieldError struct {
	UrlFieldError UrlFieldErrorEnum_UrlFieldError `protobuf:"varint,3,opt,name=url_field_error,json=urlFieldError,proto3,enum=google.ads.googleads.v0.errors.UrlFieldErrorEnum_UrlFieldError,oneof"`
}

type ErrorCode_ListOperationError struct {
	ListOperationError ListOperationErrorEnum_ListOperationError `protobuf:"varint,4,opt,name=list_operation_error,json=listOperationError,proto3,enum=google.ads.googleads.v0.errors.ListOperationErrorEnum_ListOperationError,oneof"`
}

type ErrorCode_QueryError struct {
	QueryError QueryErrorEnum_QueryError `protobuf:"varint,5,opt,name=query_error,json=queryError,proto3,enum=google.ads.googleads.v0.errors.QueryErrorEnum_QueryError,oneof"`
}

type ErrorCode_MutateError struct {
	MutateError MutateErrorEnum_MutateError `protobuf:"varint,7,opt,name=mutate_error,json=mutateError,proto3,enum=google.ads.googleads.v0.errors.MutateErrorEnum_MutateError,oneof"`
}

type ErrorCode_FieldMaskError struct {
	FieldMaskError FieldMaskErrorEnum_FieldMaskError `protobuf:"varint,8,opt,name=field_mask_error,json=fieldMaskError,proto3,enum=google.ads.googleads.v0.errors.FieldMaskErrorEnum_FieldMaskError,oneof"`
}

type ErrorCode_AuthorizationError struct {
	AuthorizationError AuthorizationErrorEnum_AuthorizationError `protobuf:"varint,9,opt,name=authorization_error,json=authorizationError,proto3,enum=google.ads.googleads.v0.errors.AuthorizationErrorEnum_AuthorizationError,oneof"`
}

type ErrorCode_InternalError struct {
	InternalError InternalErrorEnum_InternalError `protobuf:"varint,10,opt,name=internal_error,json=internalError,proto3,enum=google.ads.googleads.v0.errors.InternalErrorEnum_InternalError,oneof"`
}

type ErrorCode_QuotaError struct {
	QuotaError QuotaErrorEnum_QuotaError `protobuf:"varint,11,opt,name=quota_error,json=quotaError,proto3,enum=google.ads.googleads.v0.errors.QuotaErrorEnum_QuotaError,oneof"`
}

type ErrorCode_AdError struct {
	AdError AdErrorEnum_AdError `protobuf:"varint,12,opt,name=ad_error,json=adError,proto3,enum=google.ads.googleads.v0.errors.AdErrorEnum_AdError,oneof"`
}

type ErrorCode_AdGroupError struct {
	AdGroupError AdGroupErrorEnum_AdGroupError `protobuf:"varint,13,opt,name=ad_group_error,json=adGroupError,proto3,enum=google.ads.googleads.v0.errors.AdGroupErrorEnum_AdGroupError,oneof"`
}

type ErrorCode_CampaignBudgetError struct {
	CampaignBudgetError CampaignBudgetErrorEnum_CampaignBudgetError `protobuf:"varint,14,opt,name=campaign_budget_error,json=campaignBudgetError,proto3,enum=google.ads.googleads.v0.errors.CampaignBudgetErrorEnum_CampaignBudgetError,oneof"`
}

type ErrorCode_CampaignError struct {
	CampaignError CampaignErrorEnum_CampaignError `protobuf:"varint,15,opt,name=campaign_error,json=campaignError,proto3,enum=google.ads.googleads.v0.errors.CampaignErrorEnum_CampaignError,oneof"`
}

type ErrorCode_AuthenticationError struct {
	AuthenticationError AuthenticationErrorEnum_AuthenticationError `protobuf:"varint,17,opt,name=authentication_error,json=authenticationError,proto3,enum=google.ads.googleads.v0.errors.AuthenticationErrorEnum_AuthenticationError,oneof"`
}

type ErrorCode_AdGroupCriterionError struct {
	AdGroupCriterionError AdGroupCriterionErrorEnum_AdGroupCriterionError `protobuf:"varint,18,opt,name=ad_group_criterion_error,json=adGroupCriterionError,proto3,enum=google.ads.googleads.v0.errors.AdGroupCriterionErrorEnum_AdGroupCriterionError,oneof"`
}

type ErrorCode_AdCustomizerError struct {
	AdCustomizerError AdCustomizerErrorEnum_AdCustomizerError `protobuf:"varint,19,opt,name=ad_customizer_error,json=adCustomizerError,proto3,enum=google.ads.googleads.v0.errors.AdCustomizerErrorEnum_AdCustomizerError,oneof"`
}

type ErrorCode_AdGroupAdError struct {
	AdGroupAdError AdGroupAdErrorEnum_AdGroupAdError `protobuf:"varint,21,opt,name=ad_group_ad_error,json=adGroupAdError,proto3,enum=google.ads.googleads.v0.errors.AdGroupAdErrorEnum_AdGroupAdError,oneof"`
}

type ErrorCode_AdSharingError struct {
	AdSharingError AdSharingErrorEnum_AdSharingError `protobuf:"varint,24,opt,name=ad_sharing_error,json=adSharingError,proto3,enum=google.ads.googleads.v0.errors.AdSharingErrorEnum_AdSharingError,oneof"`
}

type ErrorCode_AdxError struct {
	AdxError AdxErrorEnum_AdxError `protobuf:"varint,25,opt,name=adx_error,json=adxError,proto3,enum=google.ads.googleads.v0.errors.AdxErrorEnum_AdxError,oneof"`
}

type ErrorCode_BiddingError struct {
	BiddingError BiddingErrorEnum_BiddingError `protobuf:"varint,26,opt,name=bidding_error,json=biddingError,proto3,enum=google.ads.googleads.v0.errors.BiddingErrorEnum_BiddingError,oneof"`
}

type ErrorCode_CampaignCriterionError struct {
	CampaignCriterionError CampaignCriterionErrorEnum_CampaignCriterionError `protobuf:"varint,29,opt,name=campaign_criterion_error,json=campaignCriterionError,proto3,enum=google.ads.googleads.v0.errors.CampaignCriterionErrorEnum_CampaignCriterionError,oneof"`
}

type ErrorCode_CollectionSizeError struct {
	CollectionSizeError CollectionSizeErrorEnum_CollectionSizeError `protobuf:"varint,31,opt,name=collection_size_error,json=collectionSizeError,proto3,enum=google.ads.googleads.v0.errors.CollectionSizeErrorEnum_CollectionSizeError,oneof"`
}

type ErrorCode_CriterionError struct {
	CriterionError CriterionErrorEnum_CriterionError `protobuf:"varint,32,opt,name=criterion_error,json=criterionError,proto3,enum=google.ads.googleads.v0.errors.CriterionErrorEnum_CriterionError,oneof"`
}

type ErrorCode_CustomerError struct {
	CustomerError CustomerErrorEnum_CustomerError `protobuf:"varint,90,opt,name=customer_error,json=customerError,proto3,enum=google.ads.googleads.v0.errors.CustomerErrorEnum_CustomerError,oneof"`
}

type ErrorCode_DateError struct {
	DateError DateErrorEnum_DateError `protobuf:"varint,33,opt,name=date_error,json=dateError,proto3,enum=google.ads.googleads.v0.errors.DateErrorEnum_DateError,oneof"`
}

type ErrorCode_DateRangeError struct {
	DateRangeError DateRangeErrorEnum_DateRangeError `protobuf:"varint,34,opt,name=date_range_error,json=dateRangeError,proto3,enum=google.ads.googleads.v0.errors.DateRangeErrorEnum_DateRangeError,oneof"`
}

type ErrorCode_DistinctError struct {
	DistinctError DistinctErrorEnum_DistinctError `protobuf:"varint,35,opt,name=distinct_error,json=distinctError,proto3,enum=google.ads.googleads.v0.errors.DistinctErrorEnum_DistinctError,oneof"`
}

type ErrorCode_FeedAttributeReferenceError struct {
	FeedAttributeReferenceError FeedAttributeReferenceErrorEnum_FeedAttributeReferenceError `protobuf:"varint,36,opt,name=feed_attribute_reference_error,json=feedAttributeReferenceError,proto3,enum=google.ads.googleads.v0.errors.FeedAttributeReferenceErrorEnum_FeedAttributeReferenceError,oneof"`
}

type ErrorCode_FunctionError struct {
	FunctionError FunctionErrorEnum_FunctionError `protobuf:"varint,37,opt,name=function_error,json=functionError,proto3,enum=google.ads.googleads.v0.errors.FunctionErrorEnum_FunctionError,oneof"`
}

type ErrorCode_FunctionParsingError struct {
	FunctionParsingError FunctionParsingErrorEnum_FunctionParsingError `protobuf:"varint,38,opt,name=function_parsing_error,json=functionParsingError,proto3,enum=google.ads.googleads.v0.errors.FunctionParsingErrorEnum_FunctionParsingError,oneof"`
}

type ErrorCode_IdError struct {
	IdError IdErrorEnum_IdError `protobuf:"varint,39,opt,name=id_error,json=idError,proto3,enum=google.ads.googleads.v0.errors.IdErrorEnum_IdError,oneof"`
}

type ErrorCode_ImageError struct {
	ImageError ImageErrorEnum_ImageError `protobuf:"varint,40,opt,name=image_error,json=imageError,proto3,enum=google.ads.googleads.v0.errors.ImageErrorEnum_ImageError,oneof"`
}

type ErrorCode_MediaBundleError struct {
	MediaBundleError MediaBundleErrorEnum_MediaBundleError `protobuf:"varint,42,opt,name=media_bundle_error,json=mediaBundleError,proto3,enum=google.ads.googleads.v0.errors.MediaBundleErrorEnum_MediaBundleError,oneof"`
}

type ErrorCode_MediaFileError struct {
	MediaFileError MediaFileErrorEnum_MediaFileError `protobuf:"varint,86,opt,name=media_file_error,json=mediaFileError,proto3,enum=google.ads.googleads.v0.errors.MediaFileErrorEnum_MediaFileError,oneof"`
}

type ErrorCode_MultiplierError struct {
	MultiplierError MultiplierErrorEnum_MultiplierError `protobuf:"varint,44,opt,name=multiplier_error,json=multiplierError,proto3,enum=google.ads.googleads.v0.errors.MultiplierErrorEnum_MultiplierError,oneof"`
}

type ErrorCode_NewResourceCreationError struct {
	NewResourceCreationError NewResourceCreationErrorEnum_NewResourceCreationError `protobuf:"varint,45,opt,name=new_resource_creation_error,json=newResourceCreationError,proto3,enum=google.ads.googleads.v0.errors.NewResourceCreationErrorEnum_NewResourceCreationError,oneof"`
}

type ErrorCode_NotEmptyError struct {
	NotEmptyError NotEmptyErrorEnum_NotEmptyError `protobuf:"varint,46,opt,name=not_empty_error,json=notEmptyError,proto3,enum=google.ads.googleads.v0.errors.NotEmptyErrorEnum_NotEmptyError,oneof"`
}

type ErrorCode_NullError struct {
	NullError NullErrorEnum_NullError `protobuf:"varint,47,opt,name=null_error,json=nullError,proto3,enum=google.ads.googleads.v0.errors.NullErrorEnum_NullError,oneof"`
}

type ErrorCode_OperatorError struct {
	OperatorError OperatorErrorEnum_OperatorError `protobuf:"varint,48,opt,name=operator_error,json=operatorError,proto3,enum=google.ads.googleads.v0.errors.OperatorErrorEnum_OperatorError,oneof"`
}

type ErrorCode_RangeError struct {
	RangeError RangeErrorEnum_RangeError `protobuf:"varint,49,opt,name=range_error,json=rangeError,proto3,enum=google.ads.googleads.v0.errors.RangeErrorEnum_RangeError,oneof"`
}

type ErrorCode_RecommendationError struct {
	RecommendationError RecommendationErrorEnum_RecommendationError `protobuf:"varint,58,opt,name=recommendation_error,json=recommendationError,proto3,enum=google.ads.googleads.v0.errors.RecommendationErrorEnum_RecommendationError,oneof"`
}

type ErrorCode_RegionCodeError struct {
	RegionCodeError RegionCodeErrorEnum_RegionCodeError `protobuf:"varint,51,opt,name=region_code_error,json=regionCodeError,proto3,enum=google.ads.googleads.v0.errors.RegionCodeErrorEnum_RegionCodeError,oneof"`
}

type ErrorCode_SettingError struct {
	SettingError SettingErrorEnum_SettingError `protobuf:"varint,52,opt,name=setting_error,json=settingError,proto3,enum=google.ads.googleads.v0.errors.SettingErrorEnum_SettingError,oneof"`
}

type ErrorCode_StringFormatError struct {
	StringFormatError StringFormatErrorEnum_StringFormatError `protobuf:"varint,53,opt,name=string_format_error,json=stringFormatError,proto3,enum=google.ads.googleads.v0.errors.StringFormatErrorEnum_StringFormatError,oneof"`
}

type ErrorCode_StringLengthError struct {
	StringLengthError StringLengthErrorEnum_StringLengthError `protobuf:"varint,54,opt,name=string_length_error,json=stringLengthError,proto3,enum=google.ads.googleads.v0.errors.StringLengthErrorEnum_StringLengthError,oneof"`
}

type ErrorCode_OperationAccessDeniedError struct {
	OperationAccessDeniedError OperationAccessDeniedErrorEnum_OperationAccessDeniedError `protobuf:"varint,55,opt,name=operation_access_denied_error,json=operationAccessDeniedError,proto3,enum=google.ads.googleads.v0.errors.OperationAccessDeniedErrorEnum_OperationAccessDeniedError,oneof"`
}

type ErrorCode_ResourceAccessDeniedError struct {
	ResourceAccessDeniedError ResourceAccessDeniedErrorEnum_ResourceAccessDeniedError `protobuf:"varint,56,opt,name=resource_access_denied_error,json=resourceAccessDeniedError,proto3,enum=google.ads.googleads.v0.errors.ResourceAccessDeniedErrorEnum_ResourceAccessDeniedError,oneof"`
}

type ErrorCode_ResourceCountLimitExceededError struct {
	ResourceCountLimitExceededError ResourceCountLimitExceededErrorEnum_ResourceCountLimitExceededError `protobuf:"varint,57,opt,name=resource_count_limit_exceeded_error,json=resourceCountLimitExceededError,proto3,enum=google.ads.googleads.v0.errors.ResourceCountLimitExceededErrorEnum_ResourceCountLimitExceededError,oneof"`
}

type ErrorCode_AdGroupBidModifierError struct {
	AdGroupBidModifierError AdGroupBidModifierErrorEnum_AdGroupBidModifierError `protobuf:"varint,59,opt,name=ad_group_bid_modifier_error,json=adGroupBidModifierError,proto3,enum=google.ads.googleads.v0.errors.AdGroupBidModifierErrorEnum_AdGroupBidModifierError,oneof"`
}

type ErrorCode_ContextError struct {
	ContextError ContextErrorEnum_ContextError `protobuf:"varint,60,opt,name=context_error,json=contextError,proto3,enum=google.ads.googleads.v0.errors.ContextErrorEnum_ContextError,oneof"`
}

type ErrorCode_FieldError struct {
	FieldError FieldErrorEnum_FieldError `protobuf:"varint,61,opt,name=field_error,json=fieldError,proto3,enum=google.ads.googleads.v0.errors.FieldErrorEnum_FieldError,oneof"`
}

type ErrorCode_SharedSetError struct {
	SharedSetError SharedSetErrorEnum_SharedSetError `protobuf:"varint,62,opt,name=shared_set_error,json=sharedSetError,proto3,enum=google.ads.googleads.v0.errors.SharedSetErrorEnum_SharedSetError,oneof"`
}

type ErrorCode_SharedCriterionError struct {
	SharedCriterionError SharedCriterionErrorEnum_SharedCriterionError `protobuf:"varint,63,opt,name=shared_criterion_error,json=sharedCriterionError,proto3,enum=google.ads.googleads.v0.errors.SharedCriterionErrorEnum_SharedCriterionError,oneof"`
}

type ErrorCode_CampaignSharedSetError struct {
	CampaignSharedSetError CampaignSharedSetErrorEnum_CampaignSharedSetError `protobuf:"varint,64,opt,name=campaign_shared_set_error,json=campaignSharedSetError,proto3,enum=google.ads.googleads.v0.errors.CampaignSharedSetErrorEnum_CampaignSharedSetError,oneof"`
}

type ErrorCode_ConversionActionError struct {
	ConversionActionError ConversionActionErrorEnum_ConversionActionError `protobuf:"varint,65,opt,name=conversion_action_error,json=conversionActionError,proto3,enum=google.ads.googleads.v0.errors.ConversionActionErrorEnum_ConversionActionError,oneof"`
}

type ErrorCode_HeaderError struct {
	HeaderError HeaderErrorEnum_HeaderError `protobuf:"varint,66,opt,name=header_error,json=headerError,proto3,enum=google.ads.googleads.v0.errors.HeaderErrorEnum_HeaderError,oneof"`
}

type ErrorCode_DatabaseError struct {
	DatabaseError DatabaseErrorEnum_DatabaseError `protobuf:"varint,67,opt,name=database_error,json=databaseError,proto3,enum=google.ads.googleads.v0.errors.DatabaseErrorEnum_DatabaseError,oneof"`
}

type ErrorCode_PolicyFindingError struct {
	PolicyFindingError PolicyFindingErrorEnum_PolicyFindingError `protobuf:"varint,68,opt,name=policy_finding_error,json=policyFindingError,proto3,enum=google.ads.googleads.v0.errors.PolicyFindingErrorEnum_PolicyFindingError,oneof"`
}

type ErrorCode_CampaignGroupError struct {
	CampaignGroupError CampaignGroupErrorEnum_CampaignGroupError `protobuf:"varint,69,opt,name=campaign_group_error,json=campaignGroupError,proto3,enum=google.ads.googleads.v0.errors.CampaignGroupErrorEnum_CampaignGroupError,oneof"`
}

type ErrorCode_EnumError struct {
	EnumError EnumErrorEnum_EnumError `protobuf:"varint,70,opt,name=enum_error,json=enumError,proto3,enum=google.ads.googleads.v0.errors.EnumErrorEnum_EnumError,oneof"`
}

type ErrorCode_KeywordPlanError struct {
	KeywordPlanError KeywordPlanErrorEnum_KeywordPlanError `protobuf:"varint,71,opt,name=keyword_plan_error,json=keywordPlanError,proto3,enum=google.ads.googleads.v0.errors.KeywordPlanErrorEnum_KeywordPlanError,oneof"`
}

type ErrorCode_KeywordPlanCampaignError struct {
	KeywordPlanCampaignError KeywordPlanCampaignErrorEnum_KeywordPlanCampaignError `protobuf:"varint,72,opt,name=keyword_plan_campaign_error,json=keywordPlanCampaignError,proto3,enum=google.ads.googleads.v0.errors.KeywordPlanCampaignErrorEnum_KeywordPlanCampaignError,oneof"`
}

type ErrorCode_KeywordPlanNegativeKeywordError struct {
	KeywordPlanNegativeKeywordError KeywordPlanNegativeKeywordErrorEnum_KeywordPlanNegativeKeywordError `protobuf:"varint,73,opt,name=keyword_plan_negative_keyword_error,json=keywordPlanNegativeKeywordError,proto3,enum=google.ads.googleads.v0.errors.KeywordPlanNegativeKeywordErrorEnum_KeywordPlanNegativeKeywordError,oneof"`
}

type ErrorCode_KeywordPlanAdGroupError struct {
	KeywordPlanAdGroupError KeywordPlanAdGroupErrorEnum_KeywordPlanAdGroupError `protobuf:"varint,74,opt,name=keyword_plan_ad_group_error,json=keywordPlanAdGroupError,proto3,enum=google.ads.googleads.v0.errors.KeywordPlanAdGroupErrorEnum_KeywordPlanAdGroupError,oneof"`
}

type ErrorCode_KeywordPlanKeywordError struct {
	KeywordPlanKeywordError KeywordPlanKeywordErrorEnum_KeywordPlanKeywordError `protobuf:"varint,75,opt,name=keyword_plan_keyword_error,json=keywordPlanKeywordError,proto3,enum=google.ads.googleads.v0.errors.KeywordPlanKeywordErrorEnum_KeywordPlanKeywordError,oneof"`
}

type ErrorCode_KeywordPlanIdeaError struct {
	KeywordPlanIdeaError KeywordPlanIdeaErrorEnum_KeywordPlanIdeaError `protobuf:"varint,76,opt,name=keyword_plan_idea_error,json=keywordPlanIdeaError,proto3,enum=google.ads.googleads.v0.errors.KeywordPlanIdeaErrorEnum_KeywordPlanIdeaError,oneof"`
}

type ErrorCode_AccountBudgetProposalError struct {
	AccountBudgetProposalError AccountBudgetProposalErrorEnum_AccountBudgetProposalError `protobuf:"varint,77,opt,name=account_budget_proposal_error,json=accountBudgetProposalError,proto3,enum=google.ads.googleads.v0.errors.AccountBudgetProposalErrorEnum_AccountBudgetProposalError,oneof"`
}

type ErrorCode_UserListError struct {
	UserListError UserListErrorEnum_UserListError `protobuf:"varint,78,opt,name=user_list_error,json=userListError,proto3,enum=google.ads.googleads.v0.errors.UserListErrorEnum_UserListError,oneof"`
}

type ErrorCode_ChangeStatusError struct {
	ChangeStatusError ChangeStatusErrorEnum_ChangeStatusError `protobuf:"varint,79,opt,name=change_status_error,json=changeStatusError,proto3,enum=google.ads.googleads.v0.errors.ChangeStatusErrorEnum_ChangeStatusError,oneof"`
}

type ErrorCode_FeedError struct {
	FeedError FeedErrorEnum_FeedError `protobuf:"varint,80,opt,name=feed_error,json=feedError,proto3,enum=google.ads.googleads.v0.errors.FeedErrorEnum_FeedError,oneof"`
}

type ErrorCode_GeoTargetConstantSuggestionError struct {
	GeoTargetConstantSuggestionError GeoTargetConstantSuggestionErrorEnum_GeoTargetConstantSuggestionError `protobuf:"varint,81,opt,name=geo_target_constant_suggestion_error,json=geoTargetConstantSuggestionError,proto3,enum=google.ads.googleads.v0.errors.GeoTargetConstantSuggestionErrorEnum_GeoTargetConstantSuggestionError,oneof"`
}

type ErrorCode_FeedItemError struct {
	FeedItemError FeedItemErrorEnum_FeedItemError `protobuf:"varint,83,opt,name=feed_item_error,json=feedItemError,proto3,enum=google.ads.googleads.v0.errors.FeedItemErrorEnum_FeedItemError,oneof"`
}

type ErrorCode_BillingSetupError struct {
	BillingSetupError BillingSetupErrorEnum_BillingSetupError `protobuf:"varint,87,opt,name=billing_setup_error,json=billingSetupError,proto3,enum=google.ads.googleads.v0.errors.BillingSetupErrorEnum_BillingSetupError,oneof"`
}

type ErrorCode_CustomerClientLinkError struct {
	CustomerClientLinkError CustomerClientLinkErrorEnum_CustomerClientLinkError `protobuf:"varint,88,opt,name=customer_client_link_error,json=customerClientLinkError,proto3,enum=google.ads.googleads.v0.errors.CustomerClientLinkErrorEnum_CustomerClientLinkError,oneof"`
}

type ErrorCode_CustomerManagerLinkError struct {
	CustomerManagerLinkError CustomerManagerLinkErrorEnum_CustomerManagerLinkError `protobuf:"varint,91,opt,name=customer_manager_link_error,json=customerManagerLinkError,proto3,enum=google.ads.googleads.v0.errors.CustomerManagerLinkErrorEnum_CustomerManagerLinkError,oneof"`
}

type ErrorCode_FeedMappingError struct {
	FeedMappingError FeedMappingErrorEnum_FeedMappingError `protobuf:"varint,92,opt,name=feed_mapping_error,json=feedMappingError,proto3,enum=google.ads.googleads.v0.errors.FeedMappingErrorEnum_FeedMappingError,oneof"`
}

type ErrorCode_CustomerFeedError struct {
	CustomerFeedError CustomerFeedErrorEnum_CustomerFeedError `protobuf:"varint,93,opt,name=customer_feed_error,json=customerFeedError,proto3,enum=google.ads.googleads.v0.errors.CustomerFeedErrorEnum_CustomerFeedError,oneof"`
}

type ErrorCode_AdGroupFeedError struct {
	AdGroupFeedError AdGroupFeedErrorEnum_AdGroupFeedError `protobuf:"varint,94,opt,name=ad_group_feed_error,json=adGroupFeedError,proto3,enum=google.ads.googleads.v0.errors.AdGroupFeedErrorEnum_AdGroupFeedError,oneof"`
}

type ErrorCode_CampaignFeedError struct {
	CampaignFeedError CampaignFeedErrorEnum_CampaignFeedError `protobuf:"varint,96,opt,name=campaign_feed_error,json=campaignFeedError,proto3,enum=google.ads.googleads.v0.errors.CampaignFeedErrorEnum_CampaignFeedError,oneof"`
}

func (*ErrorCode_RequestError) isErrorCode_ErrorCode() {}

func (*ErrorCode_BiddingStrategyError) isErrorCode_ErrorCode() {}

func (*ErrorCode_UrlFieldError) isErrorCode_ErrorCode() {}

func (*ErrorCode_ListOperationError) isErrorCode_ErrorCode() {}

func (*ErrorCode_QueryError) isErrorCode_ErrorCode() {}

func (*ErrorCode_MutateError) isErrorCode_ErrorCode() {}

func (*ErrorCode_FieldMaskError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AuthorizationError) isErrorCode_ErrorCode() {}

func (*ErrorCode_InternalError) isErrorCode_ErrorCode() {}

func (*ErrorCode_QuotaError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AdError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AdGroupError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CampaignBudgetError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CampaignError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AuthenticationError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AdGroupCriterionError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AdCustomizerError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AdGroupAdError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AdSharingError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AdxError) isErrorCode_ErrorCode() {}

func (*ErrorCode_BiddingError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CampaignCriterionError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CollectionSizeError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CriterionError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CustomerError) isErrorCode_ErrorCode() {}

func (*ErrorCode_DateError) isErrorCode_ErrorCode() {}

func (*ErrorCode_DateRangeError) isErrorCode_ErrorCode() {}

func (*ErrorCode_DistinctError) isErrorCode_ErrorCode() {}

func (*ErrorCode_FeedAttributeReferenceError) isErrorCode_ErrorCode() {}

func (*ErrorCode_FunctionError) isErrorCode_ErrorCode() {}

func (*ErrorCode_FunctionParsingError) isErrorCode_ErrorCode() {}

func (*ErrorCode_IdError) isErrorCode_ErrorCode() {}

func (*ErrorCode_ImageError) isErrorCode_ErrorCode() {}

func (*ErrorCode_MediaBundleError) isErrorCode_ErrorCode() {}

func (*ErrorCode_MediaFileError) isErrorCode_ErrorCode() {}

func (*ErrorCode_MultiplierError) isErrorCode_ErrorCode() {}

func (*ErrorCode_NewResourceCreationError) isErrorCode_ErrorCode() {}

func (*ErrorCode_NotEmptyError) isErrorCode_ErrorCode() {}

func (*ErrorCode_NullError) isErrorCode_ErrorCode() {}

func (*ErrorCode_OperatorError) isErrorCode_ErrorCode() {}

func (*ErrorCode_RangeError) isErrorCode_ErrorCode() {}

func (*ErrorCode_RecommendationError) isErrorCode_ErrorCode() {}

func (*ErrorCode_RegionCodeError) isErrorCode_ErrorCode() {}

func (*ErrorCode_SettingError) isErrorCode_ErrorCode() {}

func (*ErrorCode_StringFormatError) isErrorCode_ErrorCode() {}

func (*ErrorCode_StringLengthError) isErrorCode_ErrorCode() {}

func (*ErrorCode_OperationAccessDeniedError) isErrorCode_ErrorCode() {}

func (*ErrorCode_ResourceAccessDeniedError) isErrorCode_ErrorCode() {}

func (*ErrorCode_ResourceCountLimitExceededError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AdGroupBidModifierError) isErrorCode_ErrorCode() {}

func (*ErrorCode_ContextError) isErrorCode_ErrorCode() {}

func (*ErrorCode_FieldError) isErrorCode_ErrorCode() {}

func (*ErrorCode_SharedSetError) isErrorCode_ErrorCode() {}

func (*ErrorCode_SharedCriterionError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CampaignSharedSetError) isErrorCode_ErrorCode() {}

func (*ErrorCode_ConversionActionError) isErrorCode_ErrorCode() {}

func (*ErrorCode_HeaderError) isErrorCode_ErrorCode() {}

func (*ErrorCode_DatabaseError) isErrorCode_ErrorCode() {}

func (*ErrorCode_PolicyFindingError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CampaignGroupError) isErrorCode_ErrorCode() {}

func (*ErrorCode_EnumError) isErrorCode_ErrorCode() {}

func (*ErrorCode_KeywordPlanError) isErrorCode_ErrorCode() {}

func (*ErrorCode_KeywordPlanCampaignError) isErrorCode_ErrorCode() {}

func (*ErrorCode_KeywordPlanNegativeKeywordError) isErrorCode_ErrorCode() {}

func (*ErrorCode_KeywordPlanAdGroupError) isErrorCode_ErrorCode() {}

func (*ErrorCode_KeywordPlanKeywordError) isErrorCode_ErrorCode() {}

func (*ErrorCode_KeywordPlanIdeaError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AccountBudgetProposalError) isErrorCode_ErrorCode() {}

func (*ErrorCode_UserListError) isErrorCode_ErrorCode() {}

func (*ErrorCode_ChangeStatusError) isErrorCode_ErrorCode() {}

func (*ErrorCode_FeedError) isErrorCode_ErrorCode() {}

func (*ErrorCode_GeoTargetConstantSuggestionError) isErrorCode_ErrorCode() {}

func (*ErrorCode_FeedItemError) isErrorCode_ErrorCode() {}

func (*ErrorCode_BillingSetupError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CustomerClientLinkError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CustomerManagerLinkError) isErrorCode_ErrorCode() {}

func (*ErrorCode_FeedMappingError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CustomerFeedError) isErrorCode_ErrorCode() {}

func (*ErrorCode_AdGroupFeedError) isErrorCode_ErrorCode() {}

func (*ErrorCode_CampaignFeedError) isErrorCode_ErrorCode() {}

func (m *ErrorCode) GetErrorCode() isErrorCode_ErrorCode {
	if m != nil {
		return m.ErrorCode
	}
	return nil
}

func (m *ErrorCode) GetRequestError() RequestErrorEnum_RequestError {
	if x, ok := m.GetErrorCode().(*ErrorCode_RequestError); ok {
		return x.RequestError
	}
	return RequestErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetBiddingStrategyError() BiddingStrategyErrorEnum_BiddingStrategyError {
	if x, ok := m.GetErrorCode().(*ErrorCode_BiddingStrategyError); ok {
		return x.BiddingStrategyError
	}
	return BiddingStrategyErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetUrlFieldError() UrlFieldErrorEnum_UrlFieldError {
	if x, ok := m.GetErrorCode().(*ErrorCode_UrlFieldError); ok {
		return x.UrlFieldError
	}
	return UrlFieldErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetListOperationError() ListOperationErrorEnum_ListOperationError {
	if x, ok := m.GetErrorCode().(*ErrorCode_ListOperationError); ok {
		return x.ListOperationError
	}
	return ListOperationErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetQueryError() QueryErrorEnum_QueryError {
	if x, ok := m.GetErrorCode().(*ErrorCode_QueryError); ok {
		return x.QueryError
	}
	return QueryErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetMutateError() MutateErrorEnum_MutateError {
	if x, ok := m.GetErrorCode().(*ErrorCode_MutateError); ok {
		return x.MutateError
	}
	return MutateErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetFieldMaskError() FieldMaskErrorEnum_FieldMaskError {
	if x, ok := m.GetErrorCode().(*ErrorCode_FieldMaskError); ok {
		return x.FieldMaskError
	}
	return FieldMaskErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAuthorizationError() AuthorizationErrorEnum_AuthorizationError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AuthorizationError); ok {
		return x.AuthorizationError
	}
	return AuthorizationErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetInternalError() InternalErrorEnum_InternalError {
	if x, ok := m.GetErrorCode().(*ErrorCode_InternalError); ok {
		return x.InternalError
	}
	return InternalErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetQuotaError() QuotaErrorEnum_QuotaError {
	if x, ok := m.GetErrorCode().(*ErrorCode_QuotaError); ok {
		return x.QuotaError
	}
	return QuotaErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAdError() AdErrorEnum_AdError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AdError); ok {
		return x.AdError
	}
	return AdErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAdGroupError() AdGroupErrorEnum_AdGroupError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AdGroupError); ok {
		return x.AdGroupError
	}
	return AdGroupErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCampaignBudgetError() CampaignBudgetErrorEnum_CampaignBudgetError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CampaignBudgetError); ok {
		return x.CampaignBudgetError
	}
	return CampaignBudgetErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCampaignError() CampaignErrorEnum_CampaignError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CampaignError); ok {
		return x.CampaignError
	}
	return CampaignErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAuthenticationError() AuthenticationErrorEnum_AuthenticationError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AuthenticationError); ok {
		return x.AuthenticationError
	}
	return AuthenticationErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAdGroupCriterionError() AdGroupCriterionErrorEnum_AdGroupCriterionError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AdGroupCriterionError); ok {
		return x.AdGroupCriterionError
	}
	return AdGroupCriterionErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAdCustomizerError() AdCustomizerErrorEnum_AdCustomizerError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AdCustomizerError); ok {
		return x.AdCustomizerError
	}
	return AdCustomizerErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAdGroupAdError() AdGroupAdErrorEnum_AdGroupAdError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AdGroupAdError); ok {
		return x.AdGroupAdError
	}
	return AdGroupAdErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAdSharingError() AdSharingErrorEnum_AdSharingError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AdSharingError); ok {
		return x.AdSharingError
	}
	return AdSharingErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAdxError() AdxErrorEnum_AdxError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AdxError); ok {
		return x.AdxError
	}
	return AdxErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetBiddingError() BiddingErrorEnum_BiddingError {
	if x, ok := m.GetErrorCode().(*ErrorCode_BiddingError); ok {
		return x.BiddingError
	}
	return BiddingErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCampaignCriterionError() CampaignCriterionErrorEnum_CampaignCriterionError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CampaignCriterionError); ok {
		return x.CampaignCriterionError
	}
	return CampaignCriterionErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCollectionSizeError() CollectionSizeErrorEnum_CollectionSizeError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CollectionSizeError); ok {
		return x.CollectionSizeError
	}
	return CollectionSizeErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCriterionError() CriterionErrorEnum_CriterionError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CriterionError); ok {
		return x.CriterionError
	}
	return CriterionErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCustomerError() CustomerErrorEnum_CustomerError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CustomerError); ok {
		return x.CustomerError
	}
	return CustomerErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetDateError() DateErrorEnum_DateError {
	if x, ok := m.GetErrorCode().(*ErrorCode_DateError); ok {
		return x.DateError
	}
	return DateErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetDateRangeError() DateRangeErrorEnum_DateRangeError {
	if x, ok := m.GetErrorCode().(*ErrorCode_DateRangeError); ok {
		return x.DateRangeError
	}
	return DateRangeErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetDistinctError() DistinctErrorEnum_DistinctError {
	if x, ok := m.GetErrorCode().(*ErrorCode_DistinctError); ok {
		return x.DistinctError
	}
	return DistinctErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetFeedAttributeReferenceError() FeedAttributeReferenceErrorEnum_FeedAttributeReferenceError {
	if x, ok := m.GetErrorCode().(*ErrorCode_FeedAttributeReferenceError); ok {
		return x.FeedAttributeReferenceError
	}
	return FeedAttributeReferenceErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetFunctionError() FunctionErrorEnum_FunctionError {
	if x, ok := m.GetErrorCode().(*ErrorCode_FunctionError); ok {
		return x.FunctionError
	}
	return FunctionErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetFunctionParsingError() FunctionParsingErrorEnum_FunctionParsingError {
	if x, ok := m.GetErrorCode().(*ErrorCode_FunctionParsingError); ok {
		return x.FunctionParsingError
	}
	return FunctionParsingErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetIdError() IdErrorEnum_IdError {
	if x, ok := m.GetErrorCode().(*ErrorCode_IdError); ok {
		return x.IdError
	}
	return IdErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetImageError() ImageErrorEnum_ImageError {
	if x, ok := m.GetErrorCode().(*ErrorCode_ImageError); ok {
		return x.ImageError
	}
	return ImageErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetMediaBundleError() MediaBundleErrorEnum_MediaBundleError {
	if x, ok := m.GetErrorCode().(*ErrorCode_MediaBundleError); ok {
		return x.MediaBundleError
	}
	return MediaBundleErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetMediaFileError() MediaFileErrorEnum_MediaFileError {
	if x, ok := m.GetErrorCode().(*ErrorCode_MediaFileError); ok {
		return x.MediaFileError
	}
	return MediaFileErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetMultiplierError() MultiplierErrorEnum_MultiplierError {
	if x, ok := m.GetErrorCode().(*ErrorCode_MultiplierError); ok {
		return x.MultiplierError
	}
	return MultiplierErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetNewResourceCreationError() NewResourceCreationErrorEnum_NewResourceCreationError {
	if x, ok := m.GetErrorCode().(*ErrorCode_NewResourceCreationError); ok {
		return x.NewResourceCreationError
	}
	return NewResourceCreationErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetNotEmptyError() NotEmptyErrorEnum_NotEmptyError {
	if x, ok := m.GetErrorCode().(*ErrorCode_NotEmptyError); ok {
		return x.NotEmptyError
	}
	return NotEmptyErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetNullError() NullErrorEnum_NullError {
	if x, ok := m.GetErrorCode().(*ErrorCode_NullError); ok {
		return x.NullError
	}
	return NullErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetOperatorError() OperatorErrorEnum_OperatorError {
	if x, ok := m.GetErrorCode().(*ErrorCode_OperatorError); ok {
		return x.OperatorError
	}
	return OperatorErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetRangeError() RangeErrorEnum_RangeError {
	if x, ok := m.GetErrorCode().(*ErrorCode_RangeError); ok {
		return x.RangeError
	}
	return RangeErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetRecommendationError() RecommendationErrorEnum_RecommendationError {
	if x, ok := m.GetErrorCode().(*ErrorCode_RecommendationError); ok {
		return x.RecommendationError
	}
	return RecommendationErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetRegionCodeError() RegionCodeErrorEnum_RegionCodeError {
	if x, ok := m.GetErrorCode().(*ErrorCode_RegionCodeError); ok {
		return x.RegionCodeError
	}
	return RegionCodeErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetSettingError() SettingErrorEnum_SettingError {
	if x, ok := m.GetErrorCode().(*ErrorCode_SettingError); ok {
		return x.SettingError
	}
	return SettingErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetStringFormatError() StringFormatErrorEnum_StringFormatError {
	if x, ok := m.GetErrorCode().(*ErrorCode_StringFormatError); ok {
		return x.StringFormatError
	}
	return StringFormatErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetStringLengthError() StringLengthErrorEnum_StringLengthError {
	if x, ok := m.GetErrorCode().(*ErrorCode_StringLengthError); ok {
		return x.StringLengthError
	}
	return StringLengthErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetOperationAccessDeniedError() OperationAccessDeniedErrorEnum_OperationAccessDeniedError {
	if x, ok := m.GetErrorCode().(*ErrorCode_OperationAccessDeniedError); ok {
		return x.OperationAccessDeniedError
	}
	return OperationAccessDeniedErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetResourceAccessDeniedError() ResourceAccessDeniedErrorEnum_ResourceAccessDeniedError {
	if x, ok := m.GetErrorCode().(*ErrorCode_ResourceAccessDeniedError); ok {
		return x.ResourceAccessDeniedError
	}
	return ResourceAccessDeniedErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetResourceCountLimitExceededError() ResourceCountLimitExceededErrorEnum_ResourceCountLimitExceededError {
	if x, ok := m.GetErrorCode().(*ErrorCode_ResourceCountLimitExceededError); ok {
		return x.ResourceCountLimitExceededError
	}
	return ResourceCountLimitExceededErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAdGroupBidModifierError() AdGroupBidModifierErrorEnum_AdGroupBidModifierError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AdGroupBidModifierError); ok {
		return x.AdGroupBidModifierError
	}
	return AdGroupBidModifierErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetContextError() ContextErrorEnum_ContextError {
	if x, ok := m.GetErrorCode().(*ErrorCode_ContextError); ok {
		return x.ContextError
	}
	return ContextErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetFieldError() FieldErrorEnum_FieldError {
	if x, ok := m.GetErrorCode().(*ErrorCode_FieldError); ok {
		return x.FieldError
	}
	return FieldErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetSharedSetError() SharedSetErrorEnum_SharedSetError {
	if x, ok := m.GetErrorCode().(*ErrorCode_SharedSetError); ok {
		return x.SharedSetError
	}
	return SharedSetErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetSharedCriterionError() SharedCriterionErrorEnum_SharedCriterionError {
	if x, ok := m.GetErrorCode().(*ErrorCode_SharedCriterionError); ok {
		return x.SharedCriterionError
	}
	return SharedCriterionErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCampaignSharedSetError() CampaignSharedSetErrorEnum_CampaignSharedSetError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CampaignSharedSetError); ok {
		return x.CampaignSharedSetError
	}
	return CampaignSharedSetErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetConversionActionError() ConversionActionErrorEnum_ConversionActionError {
	if x, ok := m.GetErrorCode().(*ErrorCode_ConversionActionError); ok {
		return x.ConversionActionError
	}
	return ConversionActionErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetHeaderError() HeaderErrorEnum_HeaderError {
	if x, ok := m.GetErrorCode().(*ErrorCode_HeaderError); ok {
		return x.HeaderError
	}
	return HeaderErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetDatabaseError() DatabaseErrorEnum_DatabaseError {
	if x, ok := m.GetErrorCode().(*ErrorCode_DatabaseError); ok {
		return x.DatabaseError
	}
	return DatabaseErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetPolicyFindingError() PolicyFindingErrorEnum_PolicyFindingError {
	if x, ok := m.GetErrorCode().(*ErrorCode_PolicyFindingError); ok {
		return x.PolicyFindingError
	}
	return PolicyFindingErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCampaignGroupError() CampaignGroupErrorEnum_CampaignGroupError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CampaignGroupError); ok {
		return x.CampaignGroupError
	}
	return CampaignGroupErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetEnumError() EnumErrorEnum_EnumError {
	if x, ok := m.GetErrorCode().(*ErrorCode_EnumError); ok {
		return x.EnumError
	}
	return EnumErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetKeywordPlanError() KeywordPlanErrorEnum_KeywordPlanError {
	if x, ok := m.GetErrorCode().(*ErrorCode_KeywordPlanError); ok {
		return x.KeywordPlanError
	}
	return KeywordPlanErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetKeywordPlanCampaignError() KeywordPlanCampaignErrorEnum_KeywordPlanCampaignError {
	if x, ok := m.GetErrorCode().(*ErrorCode_KeywordPlanCampaignError); ok {
		return x.KeywordPlanCampaignError
	}
	return KeywordPlanCampaignErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetKeywordPlanNegativeKeywordError() KeywordPlanNegativeKeywordErrorEnum_KeywordPlanNegativeKeywordError {
	if x, ok := m.GetErrorCode().(*ErrorCode_KeywordPlanNegativeKeywordError); ok {
		return x.KeywordPlanNegativeKeywordError
	}
	return KeywordPlanNegativeKeywordErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetKeywordPlanAdGroupError() KeywordPlanAdGroupErrorEnum_KeywordPlanAdGroupError {
	if x, ok := m.GetErrorCode().(*ErrorCode_KeywordPlanAdGroupError); ok {
		return x.KeywordPlanAdGroupError
	}
	return KeywordPlanAdGroupErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetKeywordPlanKeywordError() KeywordPlanKeywordErrorEnum_KeywordPlanKeywordError {
	if x, ok := m.GetErrorCode().(*ErrorCode_KeywordPlanKeywordError); ok {
		return x.KeywordPlanKeywordError
	}
	return KeywordPlanKeywordErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetKeywordPlanIdeaError() KeywordPlanIdeaErrorEnum_KeywordPlanIdeaError {
	if x, ok := m.GetErrorCode().(*ErrorCode_KeywordPlanIdeaError); ok {
		return x.KeywordPlanIdeaError
	}
	return KeywordPlanIdeaErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAccountBudgetProposalError() AccountBudgetProposalErrorEnum_AccountBudgetProposalError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AccountBudgetProposalError); ok {
		return x.AccountBudgetProposalError
	}
	return AccountBudgetProposalErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetUserListError() UserListErrorEnum_UserListError {
	if x, ok := m.GetErrorCode().(*ErrorCode_UserListError); ok {
		return x.UserListError
	}
	return UserListErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetChangeStatusError() ChangeStatusErrorEnum_ChangeStatusError {
	if x, ok := m.GetErrorCode().(*ErrorCode_ChangeStatusError); ok {
		return x.ChangeStatusError
	}
	return ChangeStatusErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetFeedError() FeedErrorEnum_FeedError {
	if x, ok := m.GetErrorCode().(*ErrorCode_FeedError); ok {
		return x.FeedError
	}
	return FeedErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetGeoTargetConstantSuggestionError() GeoTargetConstantSuggestionErrorEnum_GeoTargetConstantSuggestionError {
	if x, ok := m.GetErrorCode().(*ErrorCode_GeoTargetConstantSuggestionError); ok {
		return x.GeoTargetConstantSuggestionError
	}
	return GeoTargetConstantSuggestionErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetFeedItemError() FeedItemErrorEnum_FeedItemError {
	if x, ok := m.GetErrorCode().(*ErrorCode_FeedItemError); ok {
		return x.FeedItemError
	}
	return FeedItemErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetBillingSetupError() BillingSetupErrorEnum_BillingSetupError {
	if x, ok := m.GetErrorCode().(*ErrorCode_BillingSetupError); ok {
		return x.BillingSetupError
	}
	return BillingSetupErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCustomerClientLinkError() CustomerClientLinkErrorEnum_CustomerClientLinkError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CustomerClientLinkError); ok {
		return x.CustomerClientLinkError
	}
	return CustomerClientLinkErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCustomerManagerLinkError() CustomerManagerLinkErrorEnum_CustomerManagerLinkError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CustomerManagerLinkError); ok {
		return x.CustomerManagerLinkError
	}
	return CustomerManagerLinkErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetFeedMappingError() FeedMappingErrorEnum_FeedMappingError {
	if x, ok := m.GetErrorCode().(*ErrorCode_FeedMappingError); ok {
		return x.FeedMappingError
	}
	return FeedMappingErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCustomerFeedError() CustomerFeedErrorEnum_CustomerFeedError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CustomerFeedError); ok {
		return x.CustomerFeedError
	}
	return CustomerFeedErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetAdGroupFeedError() AdGroupFeedErrorEnum_AdGroupFeedError {
	if x, ok := m.GetErrorCode().(*ErrorCode_AdGroupFeedError); ok {
		return x.AdGroupFeedError
	}
	return AdGroupFeedErrorEnum_UNSPECIFIED
}

func (m *ErrorCode) GetCampaignFeedError() CampaignFeedErrorEnum_CampaignFeedError {
	if x, ok := m.GetErrorCode().(*ErrorCode_CampaignFeedError); ok {
		return x.CampaignFeedError
	}
	return CampaignFeedErrorEnum_UNSPECIFIED
}

// XXX_OneofFuncs is for the internal use of the proto package.
func (*ErrorCode) XXX_OneofFuncs() (func(msg proto.Message, b *proto.Buffer) error, func(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error), func(msg proto.Message) (n int), []interface{}) {
	return _ErrorCode_OneofMarshaler, _ErrorCode_OneofUnmarshaler, _ErrorCode_OneofSizer, []interface{}{
		(*ErrorCode_RequestError)(nil),
		(*ErrorCode_BiddingStrategyError)(nil),
		(*ErrorCode_UrlFieldError)(nil),
		(*ErrorCode_ListOperationError)(nil),
		(*ErrorCode_QueryError)(nil),
		(*ErrorCode_MutateError)(nil),
		(*ErrorCode_FieldMaskError)(nil),
		(*ErrorCode_AuthorizationError)(nil),
		(*ErrorCode_InternalError)(nil),
		(*ErrorCode_QuotaError)(nil),
		(*ErrorCode_AdError)(nil),
		(*ErrorCode_AdGroupError)(nil),
		(*ErrorCode_CampaignBudgetError)(nil),
		(*ErrorCode_CampaignError)(nil),
		(*ErrorCode_AuthenticationError)(nil),
		(*ErrorCode_AdGroupCriterionError)(nil),
		(*ErrorCode_AdCustomizerError)(nil),
		(*ErrorCode_AdGroupAdError)(nil),
		(*ErrorCode_AdSharingError)(nil),
		(*ErrorCode_AdxError)(nil),
		(*ErrorCode_BiddingError)(nil),
		(*ErrorCode_CampaignCriterionError)(nil),
		(*ErrorCode_CollectionSizeError)(nil),
		(*ErrorCode_CriterionError)(nil),
		(*ErrorCode_CustomerError)(nil),
		(*ErrorCode_DateError)(nil),
		(*ErrorCode_DateRangeError)(nil),
		(*ErrorCode_DistinctError)(nil),
		(*ErrorCode_FeedAttributeReferenceError)(nil),
		(*ErrorCode_FunctionError)(nil),
		(*ErrorCode_FunctionParsingError)(nil),
		(*ErrorCode_IdError)(nil),
		(*ErrorCode_ImageError)(nil),
		(*ErrorCode_MediaBundleError)(nil),
		(*ErrorCode_MediaFileError)(nil),
		(*ErrorCode_MultiplierError)(nil),
		(*ErrorCode_NewResourceCreationError)(nil),
		(*ErrorCode_NotEmptyError)(nil),
		(*ErrorCode_NullError)(nil),
		(*ErrorCode_OperatorError)(nil),
		(*ErrorCode_RangeError)(nil),
		(*ErrorCode_RecommendationError)(nil),
		(*ErrorCode_RegionCodeError)(nil),
		(*ErrorCode_SettingError)(nil),
		(*ErrorCode_StringFormatError)(nil),
		(*ErrorCode_StringLengthError)(nil),
		(*ErrorCode_OperationAccessDeniedError)(nil),
		(*ErrorCode_ResourceAccessDeniedError)(nil),
		(*ErrorCode_ResourceCountLimitExceededError)(nil),
		(*ErrorCode_AdGroupBidModifierError)(nil),
		(*ErrorCode_ContextError)(nil),
		(*ErrorCode_FieldError)(nil),
		(*ErrorCode_SharedSetError)(nil),
		(*ErrorCode_SharedCriterionError)(nil),
		(*ErrorCode_CampaignSharedSetError)(nil),
		(*ErrorCode_ConversionActionError)(nil),
		(*ErrorCode_HeaderError)(nil),
		(*ErrorCode_DatabaseError)(nil),
		(*ErrorCode_PolicyFindingError)(nil),
		(*ErrorCode_CampaignGroupError)(nil),
		(*ErrorCode_EnumError)(nil),
		(*ErrorCode_KeywordPlanError)(nil),
		(*ErrorCode_KeywordPlanCampaignError)(nil),
		(*ErrorCode_KeywordPlanNegativeKeywordError)(nil),
		(*ErrorCode_KeywordPlanAdGroupError)(nil),
		(*ErrorCode_KeywordPlanKeywordError)(nil),
		(*ErrorCode_KeywordPlanIdeaError)(nil),
		(*ErrorCode_AccountBudgetProposalError)(nil),
		(*ErrorCode_UserListError)(nil),
		(*ErrorCode_ChangeStatusError)(nil),
		(*ErrorCode_FeedError)(nil),
		(*ErrorCode_GeoTargetConstantSuggestionError)(nil),
		(*ErrorCode_FeedItemError)(nil),
		(*ErrorCode_BillingSetupError)(nil),
		(*ErrorCode_CustomerClientLinkError)(nil),
		(*ErrorCode_CustomerManagerLinkError)(nil),
		(*ErrorCode_FeedMappingError)(nil),
		(*ErrorCode_CustomerFeedError)(nil),
		(*ErrorCode_AdGroupFeedError)(nil),
		(*ErrorCode_CampaignFeedError)(nil),
	}
}

func _ErrorCode_OneofMarshaler(msg proto.Message, b *proto.Buffer) error {
	m := msg.(*ErrorCode)
	// error_code
	switch x := m.ErrorCode.(type) {
	case *ErrorCode_RequestError:
		b.EncodeVarint(1<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.RequestError))
	case *ErrorCode_BiddingStrategyError:
		b.EncodeVarint(2<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.BiddingStrategyError))
	case *ErrorCode_UrlFieldError:
		b.EncodeVarint(3<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.UrlFieldError))
	case *ErrorCode_ListOperationError:
		b.EncodeVarint(4<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.ListOperationError))
	case *ErrorCode_QueryError:
		b.EncodeVarint(5<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.QueryError))
	case *ErrorCode_MutateError:
		b.EncodeVarint(7<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.MutateError))
	case *ErrorCode_FieldMaskError:
		b.EncodeVarint(8<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.FieldMaskError))
	case *ErrorCode_AuthorizationError:
		b.EncodeVarint(9<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AuthorizationError))
	case *ErrorCode_InternalError:
		b.EncodeVarint(10<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.InternalError))
	case *ErrorCode_QuotaError:
		b.EncodeVarint(11<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.QuotaError))
	case *ErrorCode_AdError:
		b.EncodeVarint(12<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AdError))
	case *ErrorCode_AdGroupError:
		b.EncodeVarint(13<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AdGroupError))
	case *ErrorCode_CampaignBudgetError:
		b.EncodeVarint(14<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CampaignBudgetError))
	case *ErrorCode_CampaignError:
		b.EncodeVarint(15<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CampaignError))
	case *ErrorCode_AuthenticationError:
		b.EncodeVarint(17<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AuthenticationError))
	case *ErrorCode_AdGroupCriterionError:
		b.EncodeVarint(18<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AdGroupCriterionError))
	case *ErrorCode_AdCustomizerError:
		b.EncodeVarint(19<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AdCustomizerError))
	case *ErrorCode_AdGroupAdError:
		b.EncodeVarint(21<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AdGroupAdError))
	case *ErrorCode_AdSharingError:
		b.EncodeVarint(24<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AdSharingError))
	case *ErrorCode_AdxError:
		b.EncodeVarint(25<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AdxError))
	case *ErrorCode_BiddingError:
		b.EncodeVarint(26<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.BiddingError))
	case *ErrorCode_CampaignCriterionError:
		b.EncodeVarint(29<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CampaignCriterionError))
	case *ErrorCode_CollectionSizeError:
		b.EncodeVarint(31<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CollectionSizeError))
	case *ErrorCode_CriterionError:
		b.EncodeVarint(32<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CriterionError))
	case *ErrorCode_CustomerError:
		b.EncodeVarint(90<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CustomerError))
	case *ErrorCode_DateError:
		b.EncodeVarint(33<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.DateError))
	case *ErrorCode_DateRangeError:
		b.EncodeVarint(34<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.DateRangeError))
	case *ErrorCode_DistinctError:
		b.EncodeVarint(35<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.DistinctError))
	case *ErrorCode_FeedAttributeReferenceError:
		b.EncodeVarint(36<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.FeedAttributeReferenceError))
	case *ErrorCode_FunctionError:
		b.EncodeVarint(37<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.FunctionError))
	case *ErrorCode_FunctionParsingError:
		b.EncodeVarint(38<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.FunctionParsingError))
	case *ErrorCode_IdError:
		b.EncodeVarint(39<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.IdError))
	case *ErrorCode_ImageError:
		b.EncodeVarint(40<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.ImageError))
	case *ErrorCode_MediaBundleError:
		b.EncodeVarint(42<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.MediaBundleError))
	case *ErrorCode_MediaFileError:
		b.EncodeVarint(86<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.MediaFileError))
	case *ErrorCode_MultiplierError:
		b.EncodeVarint(44<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.MultiplierError))
	case *ErrorCode_NewResourceCreationError:
		b.EncodeVarint(45<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.NewResourceCreationError))
	case *ErrorCode_NotEmptyError:
		b.EncodeVarint(46<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.NotEmptyError))
	case *ErrorCode_NullError:
		b.EncodeVarint(47<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.NullError))
	case *ErrorCode_OperatorError:
		b.EncodeVarint(48<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.OperatorError))
	case *ErrorCode_RangeError:
		b.EncodeVarint(49<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.RangeError))
	case *ErrorCode_RecommendationError:
		b.EncodeVarint(58<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.RecommendationError))
	case *ErrorCode_RegionCodeError:
		b.EncodeVarint(51<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.RegionCodeError))
	case *ErrorCode_SettingError:
		b.EncodeVarint(52<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.SettingError))
	case *ErrorCode_StringFormatError:
		b.EncodeVarint(53<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.StringFormatError))
	case *ErrorCode_StringLengthError:
		b.EncodeVarint(54<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.StringLengthError))
	case *ErrorCode_OperationAccessDeniedError:
		b.EncodeVarint(55<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.OperationAccessDeniedError))
	case *ErrorCode_ResourceAccessDeniedError:
		b.EncodeVarint(56<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.ResourceAccessDeniedError))
	case *ErrorCode_ResourceCountLimitExceededError:
		b.EncodeVarint(57<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.ResourceCountLimitExceededError))
	case *ErrorCode_AdGroupBidModifierError:
		b.EncodeVarint(59<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AdGroupBidModifierError))
	case *ErrorCode_ContextError:
		b.EncodeVarint(60<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.ContextError))
	case *ErrorCode_FieldError:
		b.EncodeVarint(61<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.FieldError))
	case *ErrorCode_SharedSetError:
		b.EncodeVarint(62<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.SharedSetError))
	case *ErrorCode_SharedCriterionError:
		b.EncodeVarint(63<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.SharedCriterionError))
	case *ErrorCode_CampaignSharedSetError:
		b.EncodeVarint(64<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CampaignSharedSetError))
	case *ErrorCode_ConversionActionError:
		b.EncodeVarint(65<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.ConversionActionError))
	case *ErrorCode_HeaderError:
		b.EncodeVarint(66<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.HeaderError))
	case *ErrorCode_DatabaseError:
		b.EncodeVarint(67<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.DatabaseError))
	case *ErrorCode_PolicyFindingError:
		b.EncodeVarint(68<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.PolicyFindingError))
	case *ErrorCode_CampaignGroupError:
		b.EncodeVarint(69<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CampaignGroupError))
	case *ErrorCode_EnumError:
		b.EncodeVarint(70<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.EnumError))
	case *ErrorCode_KeywordPlanError:
		b.EncodeVarint(71<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.KeywordPlanError))
	case *ErrorCode_KeywordPlanCampaignError:
		b.EncodeVarint(72<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.KeywordPlanCampaignError))
	case *ErrorCode_KeywordPlanNegativeKeywordError:
		b.EncodeVarint(73<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.KeywordPlanNegativeKeywordError))
	case *ErrorCode_KeywordPlanAdGroupError:
		b.EncodeVarint(74<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.KeywordPlanAdGroupError))
	case *ErrorCode_KeywordPlanKeywordError:
		b.EncodeVarint(75<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.KeywordPlanKeywordError))
	case *ErrorCode_KeywordPlanIdeaError:
		b.EncodeVarint(76<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.KeywordPlanIdeaError))
	case *ErrorCode_AccountBudgetProposalError:
		b.EncodeVarint(77<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AccountBudgetProposalError))
	case *ErrorCode_UserListError:
		b.EncodeVarint(78<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.UserListError))
	case *ErrorCode_ChangeStatusError:
		b.EncodeVarint(79<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.ChangeStatusError))
	case *ErrorCode_FeedError:
		b.EncodeVarint(80<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.FeedError))
	case *ErrorCode_GeoTargetConstantSuggestionError:
		b.EncodeVarint(81<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.GeoTargetConstantSuggestionError))
	case *ErrorCode_FeedItemError:
		b.EncodeVarint(83<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.FeedItemError))
	case *ErrorCode_BillingSetupError:
		b.EncodeVarint(87<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.BillingSetupError))
	case *ErrorCode_CustomerClientLinkError:
		b.EncodeVarint(88<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CustomerClientLinkError))
	case *ErrorCode_CustomerManagerLinkError:
		b.EncodeVarint(91<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CustomerManagerLinkError))
	case *ErrorCode_FeedMappingError:
		b.EncodeVarint(92<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.FeedMappingError))
	case *ErrorCode_CustomerFeedError:
		b.EncodeVarint(93<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CustomerFeedError))
	case *ErrorCode_AdGroupFeedError:
		b.EncodeVarint(94<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.AdGroupFeedError))
	case *ErrorCode_CampaignFeedError:
		b.EncodeVarint(96<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.CampaignFeedError))
	case nil:
	default:
		return fmt.Errorf("ErrorCode.ErrorCode has unexpected type %T", x)
	}
	return nil
}

func _ErrorCode_OneofUnmarshaler(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error) {
	m := msg.(*ErrorCode)
	switch tag {
	case 1: // error_code.request_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_RequestError{RequestErrorEnum_RequestError(x)}
		return true, err
	case 2: // error_code.bidding_strategy_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_BiddingStrategyError{BiddingStrategyErrorEnum_BiddingStrategyError(x)}
		return true, err
	case 3: // error_code.url_field_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_UrlFieldError{UrlFieldErrorEnum_UrlFieldError(x)}
		return true, err
	case 4: // error_code.list_operation_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_ListOperationError{ListOperationErrorEnum_ListOperationError(x)}
		return true, err
	case 5: // error_code.query_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_QueryError{QueryErrorEnum_QueryError(x)}
		return true, err
	case 7: // error_code.mutate_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_MutateError{MutateErrorEnum_MutateError(x)}
		return true, err
	case 8: // error_code.field_mask_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_FieldMaskError{FieldMaskErrorEnum_FieldMaskError(x)}
		return true, err
	case 9: // error_code.authorization_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AuthorizationError{AuthorizationErrorEnum_AuthorizationError(x)}
		return true, err
	case 10: // error_code.internal_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_InternalError{InternalErrorEnum_InternalError(x)}
		return true, err
	case 11: // error_code.quota_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_QuotaError{QuotaErrorEnum_QuotaError(x)}
		return true, err
	case 12: // error_code.ad_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AdError{AdErrorEnum_AdError(x)}
		return true, err
	case 13: // error_code.ad_group_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AdGroupError{AdGroupErrorEnum_AdGroupError(x)}
		return true, err
	case 14: // error_code.campaign_budget_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CampaignBudgetError{CampaignBudgetErrorEnum_CampaignBudgetError(x)}
		return true, err
	case 15: // error_code.campaign_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CampaignError{CampaignErrorEnum_CampaignError(x)}
		return true, err
	case 17: // error_code.authentication_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AuthenticationError{AuthenticationErrorEnum_AuthenticationError(x)}
		return true, err
	case 18: // error_code.ad_group_criterion_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AdGroupCriterionError{AdGroupCriterionErrorEnum_AdGroupCriterionError(x)}
		return true, err
	case 19: // error_code.ad_customizer_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AdCustomizerError{AdCustomizerErrorEnum_AdCustomizerError(x)}
		return true, err
	case 21: // error_code.ad_group_ad_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AdGroupAdError{AdGroupAdErrorEnum_AdGroupAdError(x)}
		return true, err
	case 24: // error_code.ad_sharing_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AdSharingError{AdSharingErrorEnum_AdSharingError(x)}
		return true, err
	case 25: // error_code.adx_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AdxError{AdxErrorEnum_AdxError(x)}
		return true, err
	case 26: // error_code.bidding_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_BiddingError{BiddingErrorEnum_BiddingError(x)}
		return true, err
	case 29: // error_code.campaign_criterion_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CampaignCriterionError{CampaignCriterionErrorEnum_CampaignCriterionError(x)}
		return true, err
	case 31: // error_code.collection_size_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CollectionSizeError{CollectionSizeErrorEnum_CollectionSizeError(x)}
		return true, err
	case 32: // error_code.criterion_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CriterionError{CriterionErrorEnum_CriterionError(x)}
		return true, err
	case 90: // error_code.customer_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CustomerError{CustomerErrorEnum_CustomerError(x)}
		return true, err
	case 33: // error_code.date_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_DateError{DateErrorEnum_DateError(x)}
		return true, err
	case 34: // error_code.date_range_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_DateRangeError{DateRangeErrorEnum_DateRangeError(x)}
		return true, err
	case 35: // error_code.distinct_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_DistinctError{DistinctErrorEnum_DistinctError(x)}
		return true, err
	case 36: // error_code.feed_attribute_reference_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_FeedAttributeReferenceError{FeedAttributeReferenceErrorEnum_FeedAttributeReferenceError(x)}
		return true, err
	case 37: // error_code.function_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_FunctionError{FunctionErrorEnum_FunctionError(x)}
		return true, err
	case 38: // error_code.function_parsing_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_FunctionParsingError{FunctionParsingErrorEnum_FunctionParsingError(x)}
		return true, err
	case 39: // error_code.id_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_IdError{IdErrorEnum_IdError(x)}
		return true, err
	case 40: // error_code.image_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_ImageError{ImageErrorEnum_ImageError(x)}
		return true, err
	case 42: // error_code.media_bundle_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_MediaBundleError{MediaBundleErrorEnum_MediaBundleError(x)}
		return true, err
	case 86: // error_code.media_file_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_MediaFileError{MediaFileErrorEnum_MediaFileError(x)}
		return true, err
	case 44: // error_code.multiplier_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_MultiplierError{MultiplierErrorEnum_MultiplierError(x)}
		return true, err
	case 45: // error_code.new_resource_creation_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_NewResourceCreationError{NewResourceCreationErrorEnum_NewResourceCreationError(x)}
		return true, err
	case 46: // error_code.not_empty_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_NotEmptyError{NotEmptyErrorEnum_NotEmptyError(x)}
		return true, err
	case 47: // error_code.null_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_NullError{NullErrorEnum_NullError(x)}
		return true, err
	case 48: // error_code.operator_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_OperatorError{OperatorErrorEnum_OperatorError(x)}
		return true, err
	case 49: // error_code.range_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_RangeError{RangeErrorEnum_RangeError(x)}
		return true, err
	case 58: // error_code.recommendation_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_RecommendationError{RecommendationErrorEnum_RecommendationError(x)}
		return true, err
	case 51: // error_code.region_code_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_RegionCodeError{RegionCodeErrorEnum_RegionCodeError(x)}
		return true, err
	case 52: // error_code.setting_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_SettingError{SettingErrorEnum_SettingError(x)}
		return true, err
	case 53: // error_code.string_format_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_StringFormatError{StringFormatErrorEnum_StringFormatError(x)}
		return true, err
	case 54: // error_code.string_length_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_StringLengthError{StringLengthErrorEnum_StringLengthError(x)}
		return true, err
	case 55: // error_code.operation_access_denied_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_OperationAccessDeniedError{OperationAccessDeniedErrorEnum_OperationAccessDeniedError(x)}
		return true, err
	case 56: // error_code.resource_access_denied_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_ResourceAccessDeniedError{ResourceAccessDeniedErrorEnum_ResourceAccessDeniedError(x)}
		return true, err
	case 57: // error_code.resource_count_limit_exceeded_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_ResourceCountLimitExceededError{ResourceCountLimitExceededErrorEnum_ResourceCountLimitExceededError(x)}
		return true, err
	case 59: // error_code.ad_group_bid_modifier_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AdGroupBidModifierError{AdGroupBidModifierErrorEnum_AdGroupBidModifierError(x)}
		return true, err
	case 60: // error_code.context_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_ContextError{ContextErrorEnum_ContextError(x)}
		return true, err
	case 61: // error_code.field_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_FieldError{FieldErrorEnum_FieldError(x)}
		return true, err
	case 62: // error_code.shared_set_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_SharedSetError{SharedSetErrorEnum_SharedSetError(x)}
		return true, err
	case 63: // error_code.shared_criterion_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_SharedCriterionError{SharedCriterionErrorEnum_SharedCriterionError(x)}
		return true, err
	case 64: // error_code.campaign_shared_set_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CampaignSharedSetError{CampaignSharedSetErrorEnum_CampaignSharedSetError(x)}
		return true, err
	case 65: // error_code.conversion_action_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_ConversionActionError{ConversionActionErrorEnum_ConversionActionError(x)}
		return true, err
	case 66: // error_code.header_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_HeaderError{HeaderErrorEnum_HeaderError(x)}
		return true, err
	case 67: // error_code.database_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_DatabaseError{DatabaseErrorEnum_DatabaseError(x)}
		return true, err
	case 68: // error_code.policy_finding_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_PolicyFindingError{PolicyFindingErrorEnum_PolicyFindingError(x)}
		return true, err
	case 69: // error_code.campaign_group_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CampaignGroupError{CampaignGroupErrorEnum_CampaignGroupError(x)}
		return true, err
	case 70: // error_code.enum_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_EnumError{EnumErrorEnum_EnumError(x)}
		return true, err
	case 71: // error_code.keyword_plan_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_KeywordPlanError{KeywordPlanErrorEnum_KeywordPlanError(x)}
		return true, err
	case 72: // error_code.keyword_plan_campaign_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_KeywordPlanCampaignError{KeywordPlanCampaignErrorEnum_KeywordPlanCampaignError(x)}
		return true, err
	case 73: // error_code.keyword_plan_negative_keyword_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_KeywordPlanNegativeKeywordError{KeywordPlanNegativeKeywordErrorEnum_KeywordPlanNegativeKeywordError(x)}
		return true, err
	case 74: // error_code.keyword_plan_ad_group_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_KeywordPlanAdGroupError{KeywordPlanAdGroupErrorEnum_KeywordPlanAdGroupError(x)}
		return true, err
	case 75: // error_code.keyword_plan_keyword_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_KeywordPlanKeywordError{KeywordPlanKeywordErrorEnum_KeywordPlanKeywordError(x)}
		return true, err
	case 76: // error_code.keyword_plan_idea_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_KeywordPlanIdeaError{KeywordPlanIdeaErrorEnum_KeywordPlanIdeaError(x)}
		return true, err
	case 77: // error_code.account_budget_proposal_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AccountBudgetProposalError{AccountBudgetProposalErrorEnum_AccountBudgetProposalError(x)}
		return true, err
	case 78: // error_code.user_list_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_UserListError{UserListErrorEnum_UserListError(x)}
		return true, err
	case 79: // error_code.change_status_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_ChangeStatusError{ChangeStatusErrorEnum_ChangeStatusError(x)}
		return true, err
	case 80: // error_code.feed_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_FeedError{FeedErrorEnum_FeedError(x)}
		return true, err
	case 81: // error_code.geo_target_constant_suggestion_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_GeoTargetConstantSuggestionError{GeoTargetConstantSuggestionErrorEnum_GeoTargetConstantSuggestionError(x)}
		return true, err
	case 83: // error_code.feed_item_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_FeedItemError{FeedItemErrorEnum_FeedItemError(x)}
		return true, err
	case 87: // error_code.billing_setup_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_BillingSetupError{BillingSetupErrorEnum_BillingSetupError(x)}
		return true, err
	case 88: // error_code.customer_client_link_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CustomerClientLinkError{CustomerClientLinkErrorEnum_CustomerClientLinkError(x)}
		return true, err
	case 91: // error_code.customer_manager_link_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CustomerManagerLinkError{CustomerManagerLinkErrorEnum_CustomerManagerLinkError(x)}
		return true, err
	case 92: // error_code.feed_mapping_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_FeedMappingError{FeedMappingErrorEnum_FeedMappingError(x)}
		return true, err
	case 93: // error_code.customer_feed_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CustomerFeedError{CustomerFeedErrorEnum_CustomerFeedError(x)}
		return true, err
	case 94: // error_code.ad_group_feed_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_AdGroupFeedError{AdGroupFeedErrorEnum_AdGroupFeedError(x)}
		return true, err
	case 96: // error_code.campaign_feed_error
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.ErrorCode = &ErrorCode_CampaignFeedError{CampaignFeedErrorEnum_CampaignFeedError(x)}
		return true, err
	default:
		return false, nil
	}
}

func _ErrorCode_OneofSizer(msg proto.Message) (n int) {
	m := msg.(*ErrorCode)
	// error_code
	switch x := m.ErrorCode.(type) {
	case *ErrorCode_RequestError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.RequestError))
	case *ErrorCode_BiddingStrategyError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.BiddingStrategyError))
	case *ErrorCode_UrlFieldError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.UrlFieldError))
	case *ErrorCode_ListOperationError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.ListOperationError))
	case *ErrorCode_QueryError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.QueryError))
	case *ErrorCode_MutateError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.MutateError))
	case *ErrorCode_FieldMaskError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.FieldMaskError))
	case *ErrorCode_AuthorizationError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.AuthorizationError))
	case *ErrorCode_InternalError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.InternalError))
	case *ErrorCode_QuotaError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.QuotaError))
	case *ErrorCode_AdError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.AdError))
	case *ErrorCode_AdGroupError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.AdGroupError))
	case *ErrorCode_CampaignBudgetError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.CampaignBudgetError))
	case *ErrorCode_CampaignError:
		n += 1 // tag and wire
		n += proto.SizeVarint(uint64(x.CampaignError))
	case *ErrorCode_AuthenticationError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.AuthenticationError))
	case *ErrorCode_AdGroupCriterionError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.AdGroupCriterionError))
	case *ErrorCode_AdCustomizerError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.AdCustomizerError))
	case *ErrorCode_AdGroupAdError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.AdGroupAdError))
	case *ErrorCode_AdSharingError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.AdSharingError))
	case *ErrorCode_AdxError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.AdxError))
	case *ErrorCode_BiddingError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.BiddingError))
	case *ErrorCode_CampaignCriterionError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CampaignCriterionError))
	case *ErrorCode_CollectionSizeError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CollectionSizeError))
	case *ErrorCode_CriterionError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CriterionError))
	case *ErrorCode_CustomerError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CustomerError))
	case *ErrorCode_DateError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.DateError))
	case *ErrorCode_DateRangeError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.DateRangeError))
	case *ErrorCode_DistinctError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.DistinctError))
	case *ErrorCode_FeedAttributeReferenceError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.FeedAttributeReferenceError))
	case *ErrorCode_FunctionError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.FunctionError))
	case *ErrorCode_FunctionParsingError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.FunctionParsingError))
	case *ErrorCode_IdError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.IdError))
	case *ErrorCode_ImageError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.ImageError))
	case *ErrorCode_MediaBundleError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.MediaBundleError))
	case *ErrorCode_MediaFileError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.MediaFileError))
	case *ErrorCode_MultiplierError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.MultiplierError))
	case *ErrorCode_NewResourceCreationError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.NewResourceCreationError))
	case *ErrorCode_NotEmptyError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.NotEmptyError))
	case *ErrorCode_NullError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.NullError))
	case *ErrorCode_OperatorError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.OperatorError))
	case *ErrorCode_RangeError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.RangeError))
	case *ErrorCode_RecommendationError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.RecommendationError))
	case *ErrorCode_RegionCodeError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.RegionCodeError))
	case *ErrorCode_SettingError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.SettingError))
	case *ErrorCode_StringFormatError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.StringFormatError))
	case *ErrorCode_StringLengthError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.StringLengthError))
	case *ErrorCode_OperationAccessDeniedError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.OperationAccessDeniedError))
	case *ErrorCode_ResourceAccessDeniedError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.ResourceAccessDeniedError))
	case *ErrorCode_ResourceCountLimitExceededError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.ResourceCountLimitExceededError))
	case *ErrorCode_AdGroupBidModifierError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.AdGroupBidModifierError))
	case *ErrorCode_ContextError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.ContextError))
	case *ErrorCode_FieldError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.FieldError))
	case *ErrorCode_SharedSetError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.SharedSetError))
	case *ErrorCode_SharedCriterionError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.SharedCriterionError))
	case *ErrorCode_CampaignSharedSetError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CampaignSharedSetError))
	case *ErrorCode_ConversionActionError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.ConversionActionError))
	case *ErrorCode_HeaderError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.HeaderError))
	case *ErrorCode_DatabaseError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.DatabaseError))
	case *ErrorCode_PolicyFindingError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.PolicyFindingError))
	case *ErrorCode_CampaignGroupError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CampaignGroupError))
	case *ErrorCode_EnumError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.EnumError))
	case *ErrorCode_KeywordPlanError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.KeywordPlanError))
	case *ErrorCode_KeywordPlanCampaignError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.KeywordPlanCampaignError))
	case *ErrorCode_KeywordPlanNegativeKeywordError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.KeywordPlanNegativeKeywordError))
	case *ErrorCode_KeywordPlanAdGroupError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.KeywordPlanAdGroupError))
	case *ErrorCode_KeywordPlanKeywordError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.KeywordPlanKeywordError))
	case *ErrorCode_KeywordPlanIdeaError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.KeywordPlanIdeaError))
	case *ErrorCode_AccountBudgetProposalError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.AccountBudgetProposalError))
	case *ErrorCode_UserListError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.UserListError))
	case *ErrorCode_ChangeStatusError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.ChangeStatusError))
	case *ErrorCode_FeedError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.FeedError))
	case *ErrorCode_GeoTargetConstantSuggestionError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.GeoTargetConstantSuggestionError))
	case *ErrorCode_FeedItemError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.FeedItemError))
	case *ErrorCode_BillingSetupError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.BillingSetupError))
	case *ErrorCode_CustomerClientLinkError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CustomerClientLinkError))
	case *ErrorCode_CustomerManagerLinkError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CustomerManagerLinkError))
	case *ErrorCode_FeedMappingError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.FeedMappingError))
	case *ErrorCode_CustomerFeedError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CustomerFeedError))
	case *ErrorCode_AdGroupFeedError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.AdGroupFeedError))
	case *ErrorCode_CampaignFeedError:
		n += 2 // tag and wire
		n += proto.SizeVarint(uint64(x.CampaignFeedError))
	case nil:
	default:
		panic(fmt.Sprintf("proto: unexpected type %T in oneof", x))
	}
	return n
}

// Describes the part of the request proto that caused the error.
type ErrorLocation struct {
	// The mutate operation that failed
	OperationIndex *wrappers.Int64Value `protobuf:"bytes,1,opt,name=operation_index,json=operationIndex,proto3" json:"operation_index,omitempty"`
	// A field path that indicates which field was invalid in the request.
	FieldPathElements    []*ErrorLocation_FieldPathElement `protobuf:"bytes,2,rep,name=field_path_elements,json=fieldPathElements,proto3" json:"field_path_elements,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                          `json:"-"`
	XXX_unrecognized     []byte                            `json:"-"`
	XXX_sizecache        int32                             `json:"-"`
}

func (m *ErrorLocation) Reset()         { *m = ErrorLocation{} }
func (m *ErrorLocation) String() string { return proto.CompactTextString(m) }
func (*ErrorLocation) ProtoMessage()    {}
func (*ErrorLocation) Descriptor() ([]byte, []int) {
	return fileDescriptor_errors_fa6b3b0791612cfd, []int{3}
}
func (m *ErrorLocation) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ErrorLocation.Unmarshal(m, b)
}
func (m *ErrorLocation) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ErrorLocation.Marshal(b, m, deterministic)
}
func (dst *ErrorLocation) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ErrorLocation.Merge(dst, src)
}
func (m *ErrorLocation) XXX_Size() int {
	return xxx_messageInfo_ErrorLocation.Size(m)
}
func (m *ErrorLocation) XXX_DiscardUnknown() {
	xxx_messageInfo_ErrorLocation.DiscardUnknown(m)
}

var xxx_messageInfo_ErrorLocation proto.InternalMessageInfo

func (m *ErrorLocation) GetOperationIndex() *wrappers.Int64Value {
	if m != nil {
		return m.OperationIndex
	}
	return nil
}

func (m *ErrorLocation) GetFieldPathElements() []*ErrorLocation_FieldPathElement {
	if m != nil {
		return m.FieldPathElements
	}
	return nil
}

// A part of a field path.
type ErrorLocation_FieldPathElement struct {
	// The name of a field or a oneof
	FieldName string `protobuf:"bytes,1,opt,name=field_name,json=fieldName,proto3" json:"field_name,omitempty"`
	// If field_name is a repeated field, this is the element that failed
	Index                *wrappers.Int64Value `protobuf:"bytes,2,opt,name=index,proto3" json:"index,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *ErrorLocation_FieldPathElement) Reset()         { *m = ErrorLocation_FieldPathElement{} }
func (m *ErrorLocation_FieldPathElement) String() string { return proto.CompactTextString(m) }
func (*ErrorLocation_FieldPathElement) ProtoMessage()    {}
func (*ErrorLocation_FieldPathElement) Descriptor() ([]byte, []int) {
	return fileDescriptor_errors_fa6b3b0791612cfd, []int{3, 0}
}
func (m *ErrorLocation_FieldPathElement) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ErrorLocation_FieldPathElement.Unmarshal(m, b)
}
func (m *ErrorLocation_FieldPathElement) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ErrorLocation_FieldPathElement.Marshal(b, m, deterministic)
}
func (dst *ErrorLocation_FieldPathElement) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ErrorLocation_FieldPathElement.Merge(dst, src)
}
func (m *ErrorLocation_FieldPathElement) XXX_Size() int {
	return xxx_messageInfo_ErrorLocation_FieldPathElement.Size(m)
}
func (m *ErrorLocation_FieldPathElement) XXX_DiscardUnknown() {
	xxx_messageInfo_ErrorLocation_FieldPathElement.DiscardUnknown(m)
}

var xxx_messageInfo_ErrorLocation_FieldPathElement proto.InternalMessageInfo

func (m *ErrorLocation_FieldPathElement) GetFieldName() string {
	if m != nil {
		return m.FieldName
	}
	return ""
}

func (m *ErrorLocation_FieldPathElement) GetIndex() *wrappers.Int64Value {
	if m != nil {
		return m.Index
	}
	return nil
}

// Additional error details.
type ErrorDetails struct {
	// The error code that should have been returned, but wasn't. This is used
	// when the error code is InternalError.ERROR_CODE_NOT_PUBLISHED.
	UnpublishedErrorCode string `protobuf:"bytes,1,opt,name=unpublished_error_code,json=unpublishedErrorCode,proto3" json:"unpublished_error_code,omitempty"`
	// Describes an ad policy violation.
	PolicyViolationDetails *PolicyViolationDetails `protobuf:"bytes,2,opt,name=policy_violation_details,json=policyViolationDetails,proto3" json:"policy_violation_details,omitempty"`
	// Describes policy violation findings.
	PolicyFindingDetails *PolicyFindingDetails `protobuf:"bytes,3,opt,name=policy_finding_details,json=policyFindingDetails,proto3" json:"policy_finding_details,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *ErrorDetails) Reset()         { *m = ErrorDetails{} }
func (m *ErrorDetails) String() string { return proto.CompactTextString(m) }
func (*ErrorDetails) ProtoMessage()    {}
func (*ErrorDetails) Descriptor() ([]byte, []int) {
	return fileDescriptor_errors_fa6b3b0791612cfd, []int{4}
}
func (m *ErrorDetails) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ErrorDetails.Unmarshal(m, b)
}
func (m *ErrorDetails) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ErrorDetails.Marshal(b, m, deterministic)
}
func (dst *ErrorDetails) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ErrorDetails.Merge(dst, src)
}
func (m *ErrorDetails) XXX_Size() int {
	return xxx_messageInfo_ErrorDetails.Size(m)
}
func (m *ErrorDetails) XXX_DiscardUnknown() {
	xxx_messageInfo_ErrorDetails.DiscardUnknown(m)
}

var xxx_messageInfo_ErrorDetails proto.InternalMessageInfo

func (m *ErrorDetails) GetUnpublishedErrorCode() string {
	if m != nil {
		return m.UnpublishedErrorCode
	}
	return ""
}

func (m *ErrorDetails) GetPolicyViolationDetails() *PolicyViolationDetails {
	if m != nil {
		return m.PolicyViolationDetails
	}
	return nil
}

func (m *ErrorDetails) GetPolicyFindingDetails() *PolicyFindingDetails {
	if m != nil {
		return m.PolicyFindingDetails
	}
	return nil
}

// Error returned as part of a mutate response.
// This error indicates single policy violation by some text
// in one of the fields.
type PolicyViolationDetails struct {
	// Human readable description of policy violation.
	ExternalPolicyDescription string `protobuf:"bytes,2,opt,name=external_policy_description,json=externalPolicyDescription,proto3" json:"external_policy_description,omitempty"`
	// Unique identifier for this violation.
	// If policy is exemptible, this key may be used to request exemption.
	Key *common.PolicyViolationKey `protobuf:"bytes,4,opt,name=key,proto3" json:"key,omitempty"`
	// Human readable name of the policy.
	ExternalPolicyName string `protobuf:"bytes,5,opt,name=external_policy_name,json=externalPolicyName,proto3" json:"external_policy_name,omitempty"`
	// Whether user can file an exemption request for this violation.
	IsExemptible         bool     `protobuf:"varint,6,opt,name=is_exemptible,json=isExemptible,proto3" json:"is_exemptible,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PolicyViolationDetails) Reset()         { *m = PolicyViolationDetails{} }
func (m *PolicyViolationDetails) String() string { return proto.CompactTextString(m) }
func (*PolicyViolationDetails) ProtoMessage()    {}
func (*PolicyViolationDetails) Descriptor() ([]byte, []int) {
	return fileDescriptor_errors_fa6b3b0791612cfd, []int{5}
}
func (m *PolicyViolationDetails) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PolicyViolationDetails.Unmarshal(m, b)
}
func (m *PolicyViolationDetails) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PolicyViolationDetails.Marshal(b, m, deterministic)
}
func (dst *PolicyViolationDetails) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PolicyViolationDetails.Merge(dst, src)
}
func (m *PolicyViolationDetails) XXX_Size() int {
	return xxx_messageInfo_PolicyViolationDetails.Size(m)
}
func (m *PolicyViolationDetails) XXX_DiscardUnknown() {
	xxx_messageInfo_PolicyViolationDetails.DiscardUnknown(m)
}

var xxx_messageInfo_PolicyViolationDetails proto.InternalMessageInfo

func (m *PolicyViolationDetails) GetExternalPolicyDescription() string {
	if m != nil {
		return m.ExternalPolicyDescription
	}
	return ""
}

func (m *PolicyViolationDetails) GetKey() *common.PolicyViolationKey {
	if m != nil {
		return m.Key
	}
	return nil
}

func (m *PolicyViolationDetails) GetExternalPolicyName() string {
	if m != nil {
		return m.ExternalPolicyName
	}
	return ""
}

func (m *PolicyViolationDetails) GetIsExemptible() bool {
	if m != nil {
		return m.IsExemptible
	}
	return false
}

// Error returned as part of a mutate response.
// This error indicates one or more policy findings in the fields of a
// resource.
type PolicyFindingDetails struct {
	// The list of policy topics for the resource. Contains the PROHIBITED or
	// FULLY_LIMITED policy topic entries that prevented the resource from being
	// saved (among any other entries the resource may also have).
	PolicyTopicEntries   []*common.PolicyTopicEntry `protobuf:"bytes,1,rep,name=policy_topic_entries,json=policyTopicEntries,proto3" json:"policy_topic_entries,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                   `json:"-"`
	XXX_unrecognized     []byte                     `json:"-"`
	XXX_sizecache        int32                      `json:"-"`
}

func (m *PolicyFindingDetails) Reset()         { *m = PolicyFindingDetails{} }
func (m *PolicyFindingDetails) String() string { return proto.CompactTextString(m) }
func (*PolicyFindingDetails) ProtoMessage()    {}
func (*PolicyFindingDetails) Descriptor() ([]byte, []int) {
	return fileDescriptor_errors_fa6b3b0791612cfd, []int{6}
}
func (m *PolicyFindingDetails) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PolicyFindingDetails.Unmarshal(m, b)
}
func (m *PolicyFindingDetails) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PolicyFindingDetails.Marshal(b, m, deterministic)
}
func (dst *PolicyFindingDetails) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PolicyFindingDetails.Merge(dst, src)
}
func (m *PolicyFindingDetails) XXX_Size() int {
	return xxx_messageInfo_PolicyFindingDetails.Size(m)
}
func (m *PolicyFindingDetails) XXX_DiscardUnknown() {
	xxx_messageInfo_PolicyFindingDetails.DiscardUnknown(m)
}

var xxx_messageInfo_PolicyFindingDetails proto.InternalMessageInfo

func (m *PolicyFindingDetails) GetPolicyTopicEntries() []*common.PolicyTopicEntry {
	if m != nil {
		return m.PolicyTopicEntries
	}
	return nil
}

func init() {
	proto.RegisterType((*GoogleAdsFailure)(nil), "google.ads.googleads.v0.errors.GoogleAdsFailure")
	proto.RegisterType((*GoogleAdsError)(nil), "google.ads.googleads.v0.errors.GoogleAdsError")
	proto.RegisterType((*ErrorCode)(nil), "google.ads.googleads.v0.errors.ErrorCode")
	proto.RegisterType((*ErrorLocation)(nil), "google.ads.googleads.v0.errors.ErrorLocation")
	proto.RegisterType((*ErrorLocation_FieldPathElement)(nil), "google.ads.googleads.v0.errors.ErrorLocation.FieldPathElement")
	proto.RegisterType((*ErrorDetails)(nil), "google.ads.googleads.v0.errors.ErrorDetails")
	proto.RegisterType((*PolicyViolationDetails)(nil), "google.ads.googleads.v0.errors.PolicyViolationDetails")
	proto.RegisterType((*PolicyFindingDetails)(nil), "google.ads.googleads.v0.errors.PolicyFindingDetails")
}

func init() {
	proto.RegisterFile("google/ads/googleads/v0/errors/errors.proto", fileDescriptor_errors_fa6b3b0791612cfd)
}

var fileDescriptor_errors_fa6b3b0791612cfd = []byte{
	// 3366 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x5b, 0xcd, 0x73, 0x1c, 0x47,
	0x15, 0xdf, 0x95, 0x49, 0x6c, 0xb5, 0x65, 0xd9, 0x6e, 0xcb, 0x4e, 0xdb, 0x26, 0x89, 0x51, 0x12,
	0x30, 0x21, 0x59, 0xc9, 0xf2, 0x57, 0x1c, 0x27, 0x76, 0x56, 0x2b, 0xc9, 0x23, 0x2c, 0xd9, 0xca,
	0x28, 0x71, 0x42, 0x62, 0xd8, 0xf4, 0xce, 0xf4, 0xae, 0x1a, 0xcd, 0xc7, 0x7a, 0x3e, 0x64, 0xc9,
	0x45, 0xaa, 0xe0, 0x00, 0x55, 0x50, 0x05, 0x07, 0xa8, 0xe2, 0xc0, 0x81, 0x43, 0x8e, 0x70, 0xe4,
	0xc0, 0x99, 0x1b, 0xc5, 0xff, 0xc3, 0x91, 0x2a, 0xaa, 0x7b, 0xbe, 0xba, 0x7b, 0x66, 0x77, 0x7a,
	0x72, 0x92, 0xfa, 0xd7, 0xfd, 0x7b, 0xaf, 0xbb, 0xa7, 0x3f, 0xde, 0x7b, 0xfd, 0x16, 0xfc, 0x68,
	0xe4, 0xfb, 0x23, 0x87, 0x2c, 0x61, 0x3b, 0x5c, 0x4a, 0xfe, 0x65, 0xff, 0x1d, 0x2c, 0x2f, 0x91,
	0x20, 0xf0, 0x83, 0x30, 0xfd, 0xd3, 0x19, 0x07, 0x7e, 0xe4, 0xc3, 0xd7, 0x92, 0x16, 0x1d, 0x6c,
	0x87, 0x9d, 0xbc, 0x71, 0xe7, 0x60, 0xb9, 0x93, 0xb4, 0xba, 0x34, 0x51, 0x98, 0xe5, 0xbb, 0xae,
	0xef, 0x2d, 0x8d, 0x7d, 0x87, 0x5a, 0x47, 0x89, 0xb0, 0x4b, 0x6f, 0xd7, 0x34, 0x3e, 0xc0, 0x4e,
	0x4c, 0xd2, 0xb6, 0xab, 0x35, 0xbd, 0xc4, 0x96, 0xe5, 0xc7, 0x5e, 0xd4, 0x1f, 0xc4, 0xf6, 0x88,
	0x44, 0xfd, 0x71, 0xe0, 0x8f, 0xfd, 0x10, 0x3b, 0x7d, 0x5e, 0x9d, 0xca, 0x78, 0xaf, 0x4e, 0x86,
	0xdd, 0xb7, 0xe2, 0x30, 0xf2, 0x5d, 0xfa, 0x82, 0x04, 0x12, 0xf3, 0xdd, 0x7a, 0xa6, 0xd8, 0xfc,
	0x56, 0x7d, 0xf3, 0x51, 0xe0, 0xc7, 0xe3, 0xbe, 0xc2, 0xfb, 0x48, 0x97, 0x37, 0xa0, 0x76, 0xdf,
	0xf5, 0x6d, 0x3a, 0xa4, 0x4a, 0x47, 0x3f, 0xd4, 0x95, 0x60, 0x05, 0x34, 0x22, 0x01, 0xf5, 0x3d,
	0x89, 0x7e, 0x5d, 0x97, 0xde, 0x70, 0x5a, 0x13, 0xd2, 0x90, 0x10, 0x79, 0xbc, 0x37, 0xeb, 0x99,
	0xe1, 0x1e, 0x0e, 0xa8, 0x37, 0x92, 0x68, 0x9d, 0x5a, 0xda, 0xa1, 0xd4, 0xfe, 0x4e, 0x5d, 0xfb,
	0x38, 0xda, 0x23, 0x5e, 0x44, 0x2d, 0x1c, 0xa9, 0x13, 0xf2, 0x9e, 0x06, 0xd5, 0x0f, 0xe8, 0x8b,
	0x32, 0x73, 0xa5, 0x86, 0x39, 0xa0, 0xb6, 0xad, 0x0e, 0xec, 0xae, 0x26, 0x27, 0x8c, 0x02, 0x1c,
	0x91, 0xd1, 0x51, 0xa3, 0xae, 0x0e, 0xa8, 0xe3, 0x70, 0x32, 0x89, 0x94, 0x0f, 0xf8, 0x7e, 0x0d,
	0xd3, 0xc2, 0xee, 0x18, 0xd3, 0x91, 0x97, 0x6d, 0xae, 0x26, 0x0b, 0x2e, 0xe7, 0x7e, 0xbb, 0x05,
	0x97, 0xd3, 0x9b, 0x8c, 0x34, 0x27, 0x95, 0x16, 0xdc, 0x1d, 0x5d, 0x66, 0x79, 0x95, 0xdf, 0xd3,
	0xa5, 0xb2, 0x15, 0x4b, 0x6c, 0x36, 0xcd, 0xcd, 0x3a, 0xbd, 0x87, 0xbd, 0x11, 0xe9, 0x87, 0x11,
	0x8e, 0xe2, 0xb0, 0xd9, 0xe7, 0xf1, 0x1d, 0x87, 0x58, 0x7c, 0x01, 0x86, 0xf4, 0x05, 0x69, 0xb4,
	0x0a, 0x2d, 0xdf, 0x8b, 0xc8, 0xa1, 0xdc, 0xd3, 0x0f, 0xea, 0x39, 0x07, 0x24, 0x08, 0x99, 0x3e,
	0x6c, 0x95, 0xd6, 0xfd, 0x8d, 0x3a, 0x76, 0xe5, 0x3a, 0xb8, 0x5f, 0xc7, 0xe2, 0xe7, 0x32, 0x09,
	0xfa, 0x96, 0x43, 0x89, 0x17, 0xf5, 0x1d, 0xea, 0xed, 0x37, 0x5b, 0x48, 0x99, 0x80, 0x46, 0xdf,
	0x24, 0x23, 0x95, 0x16, 0xd2, 0x47, 0xba, 0x4c, 0x17, 0x7b, 0x78, 0x44, 0x82, 0xe6, 0x1d, 0xb6,
	0x71, 0x84, 0x07, 0x38, 0x94, 0x3f, 0xe7, 0x52, 0x3d, 0x89, 0x34, 0x3a, 0x61, 0x39, 0x21, 0xe0,
	0x2b, 0xaf, 0x51, 0xe7, 0x68, 0x18, 0x51, 0xcf, 0x8a, 0x1a, 0x75, 0x8e, 0x78, 0xb1, 0x2b, 0x11,
	0x7a, 0x35, 0x04, 0x3e, 0xeb, 0x38, 0x8a, 0x02, 0x3a, 0x88, 0x59, 0x37, 0xc9, 0x90, 0x04, 0xc4,
	0xb3, 0x9a, 0x4d, 0x49, 0xe9, 0xd3, 0xdd, 0xd0, 0x21, 0xd0, 0x88, 0xc8, 0x7d, 0xbd, 0xad, 0xc3,
	0x72, 0xf1, 0x78, 0xac, 0x9e, 0xe9, 0xcb, 0x75, 0x44, 0x4a, 0x9c, 0x66, 0xb7, 0x62, 0xc2, 0x70,
	0x71, 0xd8, 0x6c, 0x41, 0x0d, 0x63, 0xaf, 0xbc, 0x5b, 0xef, 0xea, 0x92, 0xc6, 0x38, 0x08, 0xd5,
	0xa1, 0x6d, 0xd6, 0x90, 0x47, 0xc4, 0xef, 0x47, 0x38, 0x60, 0x57, 0x86, 0xe5, 0x7b, 0x61, 0x84,
	0xbd, 0xa8, 0x1f, 0xc6, 0xa3, 0x11, 0x09, 0x4b, 0xfd, 0xb8, 0x56, 0x23, 0x6a, 0x8f, 0x60, 0xbb,
	0xa1, 0x4d, 0x46, 0xed, 0x46, 0xdf, 0x81, 0xba, 0xb8, 0xe1, 0x26, 0xa0, 0x5e, 0x44, 0x02, 0x4f,
	0xb1, 0x31, 0xeb, 0x0e, 0x86, 0x7d, 0x72, 0xf4, 0xdc, 0x0f, 0xec, 0xfe, 0xd8, 0xc1, 0x5e, 0xbf,
	0xd2, 0x9c, 0x6a, 0x24, 0xa1, 0xf2, 0x7e, 0xbc, 0xdd, 0x44, 0x42, 0x93, 0x93, 0x5f, 0x22, 0x52,
	0x9b, 0xe0, 0x46, 0x67, 0xb8, 0xc4, 0xce, 0x0a, 0xa2, 0x00, 0xa3, 0x89, 0x00, 0x8f, 0x8c, 0x70,
	0x44, 0x0f, 0x48, 0xa5, 0xa4, 0xba, 0x7b, 0xde, 0xa1, 0x61, 0xd4, 0xf7, 0xc7, 0x24, 0x28, 0xdb,
	0x6d, 0x75, 0x93, 0xe7, 0x12, 0x9b, 0xe2, 0xfe, 0x20, 0xf6, 0x6c, 0xa7, 0xd9, 0x51, 0x9b, 0x10,
	0x87, 0xb4, 0x29, 0x2d, 0x76, 0x22, 0x3a, 0x76, 0x54, 0x43, 0xff, 0x5a, 0x2d, 0x2d, 0x52, 0xef,
	0x82, 0xba, 0x85, 0xe5, 0x91, 0xe7, 0xfd, 0x80, 0x84, 0x7e, 0x1c, 0x58, 0xa4, 0x6f, 0x05, 0x04,
	0x37, 0xbe, 0xdb, 0x3d, 0x3f, 0xea, 0x13, 0x77, 0x1c, 0x1d, 0x35, 0x3a, 0xa1, 0xbd, 0xd8, 0x91,
	0xf7, 0x50, 0x9d, 0xaf, 0x57, 0x7c, 0x38, 0x6c, 0x59, 0x24, 0x0c, 0xfb, 0x36, 0xf1, 0xa8, 0x72,
	0xca, 0x5f, 0xd7, 0x92, 0xe1, 0x07, 0x8d, 0x96, 0x4d, 0xe2, 0xbd, 0xf6, 0x87, 0xd4, 0xb3, 0x9b,
	0x1e, 0xf3, 0xcf, 0x62, 0x12, 0x1c, 0x35, 0x64, 0xf8, 0x11, 0x6e, 0xc4, 0x28, 0xdf, 0xe3, 0x75,
	0x03, 0x0a, 0x08, 0x73, 0xb5, 0x89, 0x67, 0x97, 0xbf, 0xf5, 0xad, 0x5a, 0xea, 0x88, 0x51, 0x2c,
	0xdf, 0x6e, 0x66, 0x71, 0x06, 0xe4, 0x59, 0x4c, 0x42, 0xd9, 0x72, 0xe8, 0xd6, 0x72, 0xd2, 0x55,
	0x39, 0xf9, 0x7b, 0x1b, 0xba, 0x22, 0x92, 0x30, 0x81, 0x43, 0x5d, 0x1a, 0xf5, 0xc9, 0xa1, 0x45,
	0x88, 0xad, 0x48, 0xaa, 0x1b, 0x40, 0x48, 0xa2, 0xa8, 0xa9, 0xe3, 0x96, 0xfa, 0x04, 0xd5, 0xb6,
	0xef, 0x4d, 0x3d, 0x72, 0x53, 0x87, 0x22, 0x8c, 0xb8, 0xe3, 0x3c, 0xf4, 0x03, 0x17, 0x7f, 0x2b,
	0xa6, 0x43, 0xbc, 0x51, 0xb4, 0xd7, 0xe8, 0x00, 0x88, 0x03, 0xa7, 0x5f, 0x36, 0x68, 0x6a, 0x59,
	0x21, 0x37, 0x90, 0x95, 0x45, 0x91, 0x86, 0x9a, 0x96, 0x78, 0x69, 0x10, 0x0f, 0x97, 0x9e, 0x07,
	0x78, 0x3c, 0x26, 0x59, 0x28, 0x6a, 0xf1, 0x0b, 0x70, 0xe6, 0x01, 0x6f, 0xd1, 0xb5, 0xc3, 0x0d,
	0x4c, 0x9d, 0x38, 0x20, 0x70, 0x03, 0xbc, 0x9c, 0xc8, 0x44, 0xed, 0x2b, 0xc7, 0xae, 0x9e, 0x5c,
	0xe9, 0x74, 0xa6, 0xc7, 0xab, 0x3a, 0xb9, 0x84, 0x75, 0x56, 0x36, 0x53, 0xf6, 0xe2, 0xbf, 0x67,
	0xc0, 0xbc, 0x5c, 0x05, 0x0d, 0x00, 0x78, 0x25, 0x5f, 0xf1, 0xa8, 0x7d, 0xa5, 0x7d, 0xf5, 0xe4,
	0xca, 0x0f, 0xeb, 0xc4, 0x73, 0x6a, 0xcf, 0xb7, 0x89, 0x39, 0x4b, 0xb2, 0x7f, 0x21, 0x02, 0xc7,
	0x5d, 0x12, 0x86, 0x78, 0x44, 0xd0, 0xcc, 0x95, 0xf6, 0xd5, 0x59, 0x33, 0x2b, 0xc2, 0xfb, 0xe0,
	0x78, 0x14, 0xd0, 0xd1, 0x88, 0x04, 0xe8, 0x18, 0x57, 0xf0, 0xd6, 0x44, 0x05, 0x49, 0x88, 0xac,
	0xf3, 0x04, 0x3b, 0x31, 0x31, 0x33, 0x16, 0xdc, 0x04, 0x27, 0x1c, 0x3f, 0x09, 0x63, 0xa0, 0xef,
	0x70, 0x09, 0xef, 0x6a, 0x75, 0x71, 0x2b, 0x25, 0x99, 0x39, 0x1d, 0x6e, 0x80, 0xe3, 0x36, 0x89,
	0x30, 0x75, 0x42, 0xf4, 0x12, 0x97, 0xf4, 0x8e, 0x96, 0xa4, 0xb5, 0x84, 0x63, 0x66, 0xe4, 0xc5,
	0xff, 0x3d, 0x04, 0xb3, 0xf9, 0x34, 0x40, 0x1b, 0x9c, 0x92, 0x0e, 0x00, 0x3e, 0x91, 0xf3, 0x2b,
	0x1f, 0xd6, 0xc9, 0x36, 0x13, 0x12, 0x17, 0xb4, 0xee, 0xc5, 0xae, 0x04, 0x18, 0x2d, 0x73, 0x2e,
	0x10, 0xca, 0xf0, 0xd7, 0x6d, 0x70, 0xa1, 0x3a, 0x56, 0xc2, 0x67, 0x7c, 0x7e, 0x65, 0xbb, 0x4e,
	0xdf, 0x6a, 0xc2, 0xde, 0x4d, 0xc9, 0x85, 0xde, 0xaa, 0x0a, 0xa3, 0x65, 0x2e, 0x0c, 0x2a, 0x70,
	0x48, 0xc1, 0x69, 0x65, 0x47, 0xf0, 0xef, 0x3a, 0xbf, 0x72, 0xbf, 0x4e, 0xff, 0xa7, 0x81, 0xb3,
	0xc1, 0x58, 0x85, 0x62, 0x09, 0x31, 0x5a, 0xe6, 0xa9, 0x58, 0x04, 0xe0, 0xd7, 0x60, 0xa1, 0xca,
	0xa8, 0xe1, 0xab, 0x60, 0x7e, 0x65, 0xb3, 0x4e, 0xdf, 0x16, 0x0d, 0xa3, 0xc7, 0x19, 0xb5, 0x50,
	0x5a, 0x86, 0x8d, 0x96, 0x09, 0x9d, 0x12, 0x0a, 0x9f, 0x82, 0x93, 0xc2, 0x0d, 0xc7, 0x57, 0xcc,
	0xfc, 0xca, 0x9d, 0x3a, 0xad, 0x1f, 0x33, 0x4a, 0xa1, 0xad, 0x28, 0x1a, 0x2d, 0x13, 0x3c, 0xcb,
	0x4b, 0xf0, 0x2b, 0x30, 0x27, 0xda, 0x33, 0xe8, 0x38, 0x17, 0x7f, 0xb7, 0x4e, 0xfc, 0x36, 0xe7,
	0x14, 0xf2, 0x85, 0xb2, 0xd1, 0x32, 0x4f, 0xba, 0x45, 0x11, 0xba, 0xe0, 0x8c, 0xea, 0x56, 0xa1,
	0x13, 0x5c, 0x4b, 0xb7, 0x4e, 0x0b, 0xff, 0x08, 0xdb, 0x38, 0xdc, 0x2f, 0x14, 0xc9, 0x90, 0xd1,
	0x32, 0xe7, 0x87, 0x12, 0x02, 0x7f, 0x01, 0xce, 0x55, 0x44, 0x0e, 0xd1, 0xac, 0xde, 0xc7, 0xea,
	0x8a, 0xd4, 0x42, 0x6b, 0x19, 0x66, 0x1f, 0x0b, 0x97, 0x50, 0xb8, 0x07, 0xe6, 0x65, 0xdf, 0x05,
	0x01, 0xbd, 0x55, 0xb9, 0x99, 0xb2, 0x0a, 0x9d, 0x12, 0xc2, 0x56, 0x25, 0x15, 0x81, 0x64, 0x59,
	0xe4, 0x66, 0x0c, 0x3a, 0xa9, 0xbb, 0x2c, 0xfc, 0x08, 0x8b, 0xcb, 0x22, 0x2b, 0x26, 0xcb, 0x22,
	0x2b, 0xc1, 0x1d, 0x70, 0x22, 0x0b, 0xa0, 0xa3, 0x39, 0x2e, 0xfa, 0x7a, 0xed, 0xd4, 0x09, 0x3b,
	0xaa, 0x9b, 0xef, 0xa5, 0xe3, 0x38, 0xdd, 0x45, 0x04, 0xcc, 0xcb, 0x3e, 0x19, 0x3a, 0xa5, 0x77,
	0x3e, 0x75, 0xed, 0x07, 0x8c, 0x24, 0x0a, 0x2f, 0x00, 0x76, 0x3e, 0x61, 0xa1, 0x0c, 0x7f, 0xd5,
	0x06, 0xe7, 0x2b, 0x83, 0xaa, 0x68, 0x9e, 0xab, 0x7b, 0x58, 0xa7, 0xae, 0x97, 0x92, 0x57, 0x39,
	0xb7, 0xd0, 0x5a, 0x81, 0x1b, 0x2d, 0xf3, 0x9c, 0x55, 0x86, 0xd9, 0x22, 0x90, 0x9d, 0x47, 0x74,
	0x5a, 0x6f, 0x11, 0x64, 0x3a, 0xca, 0x5a, 0xf3, 0x45, 0x60, 0x89, 0x00, 0xfc, 0x65, 0x1b, 0x2c,
	0x54, 0x85, 0xd8, 0xd1, 0x59, 0xbd, 0xc1, 0x76, 0x25, 0xae, 0xbc, 0xde, 0x15, 0x9c, 0x0d, 0x16,
	0x97, 0x61, 0xf8, 0xbb, 0x36, 0x40, 0x93, 0x9e, 0x3e, 0x10, 0xe4, 0xdd, 0x78, 0xac, 0xf9, 0x89,
	0x7b, 0x19, 0xbb, 0xf4, 0xad, 0xe5, 0x1a, 0xa3, 0x65, 0x9e, 0xc7, 0x55, 0x15, 0xf0, 0x08, 0x9c,
	0xab, 0x78, 0x69, 0x42, 0xe7, 0x78, 0x37, 0x1e, 0xd4, 0x77, 0xa3, 0x97, 0x33, 0xc5, 0x2e, 0x28,
	0xa8, 0xd1, 0x32, 0xcf, 0x62, 0x15, 0x84, 0x1e, 0x38, 0x5b, 0x7a, 0x7b, 0x42, 0xe7, 0xf5, 0xce,
	0xb9, 0x74, 0x94, 0xf2, 0x0e, 0x12, 0x21, 0x76, 0xce, 0x61, 0x09, 0x61, 0xc7, 0xaa, 0xfa, 0x86,
	0x83, 0x90, 0xae, 0xba, 0xdd, 0x84, 0x26, 0xaa, 0x13, 0xa1, 0x44, 0x9d, 0x88, 0xc0, 0x4f, 0xc0,
	0x6c, 0xfe, 0xf6, 0x83, 0x2e, 0x72, 0x3d, 0x37, 0xeb, 0xf5, 0x1c, 0x8a, 0x1a, 0x0e, 0x33, 0xd9,
	0x27, 0x70, 0xfa, 0x3f, 0xb3, 0x59, 0xa4, 0xc7, 0x1a, 0x74, 0x49, 0xef, 0x4c, 0x48, 0x4d, 0x85,
	0x92, 0xed, 0x90, 0x9f, 0x09, 0x03, 0xa1, 0x0c, 0x7f, 0xdf, 0x06, 0x68, 0xd2, 0x63, 0x09, 0x7a,
	0x95, 0x6b, 0xfc, 0x58, 0x77, 0x6b, 0x56, 0xac, 0xd1, 0xea, 0x2a, 0xa3, 0x65, 0x5e, 0xb0, 0x2a,
	0x6b, 0x92, 0x33, 0xaa, 0xea, 0x65, 0x01, 0xbd, 0xae, 0x79, 0x46, 0xe5, 0xe4, 0x5d, 0xfa, 0x42,
	0xb8, 0x85, 0x2b, 0x70, 0x7e, 0x46, 0x95, 0x61, 0xe8, 0x80, 0xd3, 0xea, 0x4c, 0x5c, 0xd1, 0x5b,
	0x3d, 0x55, 0x33, 0xa0, 0x8e, 0x7c, 0xde, 0x92, 0x47, 0xcc, 0x4e, 0x44, 0xe9, 0x95, 0x00, 0x7d,
	0xa1, 0x79, 0x22, 0xa6, 0x2c, 0x41, 0x97, 0x88, 0xf0, 0x13, 0x51, 0x04, 0xe0, 0xe7, 0x00, 0x14,
	0x91, 0x7a, 0xf4, 0x3d, 0xae, 0xe5, 0x76, 0x9d, 0x96, 0x35, 0xc9, 0x96, 0x59, 0x13, 0x2c, 0x99,
	0x59, 0x5b, 0xb4, 0x63, 0xd4, 0x90, 0x3e, 0x5a, 0xd4, 0x9b, 0x32, 0x26, 0xd1, 0x64, 0x34, 0x59,
	0x49, 0x01, 0xb1, 0x29, 0xb3, 0x25, 0x84, 0x4d, 0x99, 0xfc, 0x14, 0x80, 0xde, 0xd0, 0x9b, 0xb2,
	0xb5, 0x94, 0x25, 0xe8, 0x12, 0x11, 0x36, 0x65, 0xb6, 0x08, 0xc0, 0x6f, 0xda, 0xe0, 0xb5, 0xe9,
	0xef, 0x01, 0xe8, 0x4d, 0xae, 0xfa, 0xcb, 0x5a, 0x7b, 0x8d, 0x10, 0xbb, 0x9b, 0x09, 0x31, 0x33,
	0x19, 0x82, 0xf1, 0x36, 0xb9, 0xde, 0x68, 0x99, 0x97, 0x87, 0x93, 0xab, 0xd9, 0x74, 0xc8, 0x51,
	0x76, 0xf4, 0x96, 0xde, 0x74, 0x6c, 0xa4, 0x2c, 0xa1, 0x17, 0x22, 0xc2, 0xa6, 0x63, 0x28, 0x02,
	0xdc, 0xc3, 0xa9, 0x8e, 0xcd, 0xa3, 0xef, 0xeb, 0x79, 0x38, 0x99, 0x82, 0x9d, 0x84, 0x5c, 0xd6,
	0x2c, 0x56, 0x30, 0x0f, 0x67, 0x58, 0x81, 0x33, 0x13, 0x2c, 0x8b, 0xb3, 0xa3, 0x1f, 0xe8, 0x99,
	0x60, 0x9b, 0xc2, 0x05, 0xb2, 0x59, 0x98, 0x60, 0xd4, 0xce, 0x4d, 0x46, 0x21, 0x14, 0x8f, 0xae,
	0xea, 0x99, 0x8c, 0x9b, 0x8c, 0x22, 0xc8, 0xcd, 0x8b, 0xcc, 0x64, 0xa4, 0x79, 0x09, 0xc6, 0x00,
	0x96, 0x03, 0xb8, 0xe8, 0x6d, 0xae, 0x64, 0xbd, 0xd6, 0x9f, 0x60, 0xcc, 0x55, 0x4e, 0x14, 0x9c,
	0x0a, 0x05, 0x34, 0x5a, 0xe6, 0x19, 0x57, 0xc1, 0xd8, 0xb6, 0x54, 0xc3, 0xbf, 0xe8, 0x89, 0xde,
	0xb6, 0xe4, 0xf2, 0x37, 0x68, 0x49, 0x65, 0x0e, 0xb1, 0x6d, 0xe9, 0x4a, 0x08, 0x1c, 0x83, 0x33,
	0x6a, 0xd8, 0x18, 0xbd, 0xc3, 0xd5, 0xf5, 0xea, 0x7d, 0xa6, 0x8c, 0x27, 0xfa, 0x4d, 0x12, 0x66,
	0xb4, 0xcc, 0xd3, 0xae, 0x0c, 0xc1, 0x3f, 0xb7, 0xc1, 0xe5, 0x29, 0xf1, 0x63, 0xf4, 0x2e, 0xd7,
	0xfe, 0x69, 0x9d, 0xf6, 0x47, 0xe4, 0xb9, 0x99, 0x4a, 0xe8, 0xa5, 0x02, 0x8a, 0x6e, 0x4c, 0xaa,
	0x34, 0x5a, 0x26, 0xf2, 0x26, 0xd4, 0x31, 0x17, 0x5c, 0x89, 0x4a, 0xa3, 0x8e, 0xde, 0x9e, 0x7c,
	0xe4, 0x47, 0xeb, 0x8c, 0x25, 0x74, 0x40, 0x44, 0xd8, 0x9e, 0xf4, 0x44, 0x80, 0x9d, 0xea, 0x45,
	0x28, 0x1b, 0x2d, 0xe9, 0x9d, 0xea, 0x8f, 0x62, 0x47, 0x70, 0xa7, 0xf2, 0x12, 0x3b, 0xd5, 0xbd,
	0xac, 0xc0, 0xce, 0x15, 0x39, 0x5e, 0x8d, 0x96, 0xf5, 0xc6, 0xf0, 0x38, 0x65, 0x15, 0x1a, 0x24,
	0x84, 0x8d, 0xc1, 0x17, 0x01, 0xb6, 0xfb, 0xc4, 0xab, 0xe3, 0x9a, 0xde, 0xee, 0x53, 0xae, 0x0d,
	0xe9, 0xca, 0x00, 0x41, 0x71, 0x5d, 0x30, 0x4f, 0xa0, 0x2a, 0xe4, 0x8c, 0xde, 0xd7, 0x33, 0x29,
	0x4c, 0x89, 0x2b, 0x06, 0x83, 0x4a, 0x38, 0x33, 0x29, 0x82, 0x32, 0x0c, 0x9f, 0x81, 0xb3, 0xa5,
	0xc8, 0x35, 0xba, 0xae, 0xb7, 0x37, 0x4c, 0x4e, 0xec, 0xf9, 0xb6, 0x38, 0x56, 0x19, 0x63, 0x7b,
	0x23, 0x90, 0x21, 0x66, 0x3f, 0x4a, 0x31, 0x63, 0x74, 0x43, 0xcf, 0x7e, 0xdc, 0x4d, 0x48, 0x85,
	0x2e, 0x11, 0x60, 0xf6, 0x63, 0x28, 0x94, 0x99, 0x57, 0x51, 0x11, 0xf1, 0x45, 0x37, 0xf5, 0xbc,
	0x8a, 0x5d, 0x4e, 0xdd, 0xe0, 0x4c, 0x41, 0xa1, 0x8a, 0x32, 0xaf, 0x22, 0x54, 0x41, 0x41, 0xb5,
	0x18, 0x32, 0x46, 0xb7, 0x9a, 0xa8, 0xde, 0xe2, 0x4c, 0x55, 0xb5, 0x80, 0x16, 0xaa, 0x05, 0x10,
	0xfe, 0xb5, 0x0d, 0x5e, 0x9d, 0xfa, 0x1c, 0x84, 0x6e, 0xf3, 0x5e, 0xfc, 0x44, 0x6f, 0xa7, 0x50,
	0xdf, 0xeb, 0x72, 0x19, 0x6b, 0x5c, 0x84, 0xba, 0x6d, 0xaa, 0xaa, 0x8d, 0x96, 0x79, 0xc9, 0x9f,
	0x58, 0x0b, 0xff, 0xd2, 0x06, 0xdf, 0x9d, 0xf6, 0x7c, 0x81, 0xde, 0xe3, 0xfd, 0xfb, 0xac, 0x7e,
	0xed, 0x25, 0x32, 0xaa, 0xbb, 0x37, 0xb1, 0xd6, 0x68, 0x99, 0x17, 0x83, 0x49, 0x95, 0xf0, 0x1f,
	0x6d, 0xf0, 0x86, 0xc6, 0xc3, 0x08, 0xba, 0xc3, 0xfb, 0x68, 0xe9, 0xf6, 0xb1, 0xc7, 0x24, 0x6d,
	0x31, 0x41, 0xeb, 0xa9, 0x9c, 0x72, 0x4f, 0x27, 0xb4, 0x31, 0x5a, 0xe6, 0xeb, 0xc1, 0xf4, 0x26,
	0xf0, 0x4f, 0x6d, 0x70, 0x79, 0x4a, 0x26, 0x24, 0xba, 0xcb, 0x7b, 0xbb, 0xab, 0xe9, 0xcf, 0xae,
	0x52, 0x7b, 0x3b, 0xe5, 0x97, 0x1c, 0x5b, 0xb5, 0xce, 0x68, 0x99, 0xaf, 0xe0, 0xea, 0x2a, 0xb6,
	0xcb, 0xa5, 0x64, 0x2a, 0xf4, 0x81, 0xde, 0x2e, 0xef, 0x25, 0x24, 0xd1, 0x3f, 0x2a, 0x00, 0xb6,
	0xcb, 0x2d, 0xa1, 0xcc, 0xce, 0x67, 0x31, 0x9a, 0xfc, 0xa1, 0xde, 0xf9, 0xac, 0x84, 0x92, 0xa5,
	0x38, 0x32, 0x18, 0x16, 0x41, 0x64, 0x17, 0x9c, 0x51, 0x1f, 0x9b, 0xd0, 0x3d, 0x3d, 0x33, 0x65,
	0x97, 0xf3, 0x76, 0xc5, 0x60, 0x94, 0x0c, 0x31, 0x33, 0x25, 0x94, 0x10, 0x6e, 0xc4, 0x56, 0xbf,
	0x8c, 0xa1, 0xfb, 0x7a, 0x46, 0x6c, 0xa2, 0xa2, 0xc2, 0xd9, 0xab, 0xaa, 0x60, 0x46, 0x6c, 0x58,
	0x81, 0xc3, 0x3f, 0xb4, 0xc1, 0xc5, 0x89, 0xe9, 0x7b, 0xe8, 0xa3, 0x66, 0xbe, 0x77, 0xc5, 0x44,
	0x54, 0x57, 0x89, 0xbe, 0xb7, 0x5c, 0x03, 0x7f, 0xdb, 0x06, 0xaf, 0x4c, 0xc8, 0xb2, 0x43, 0x5d,
	0xbd, 0x68, 0x55, 0x2f, 0xa7, 0x77, 0x15, 0xcf, 0xa2, 0xb2, 0xc6, 0x68, 0x99, 0xe7, 0xad, 0xaa,
	0x0a, 0xf8, 0x15, 0x98, 0x13, 0x93, 0x6f, 0xd0, 0xaa, 0x5e, 0xec, 0xdd, 0xe0, 0x9c, 0x42, 0xab,
	0x50, 0x36, 0x5a, 0xe6, 0xc9, 0xbd, 0xa2, 0xc8, 0x9d, 0x48, 0x29, 0xd9, 0x0d, 0xf5, 0x34, 0x9d,
	0xc8, 0x94, 0x25, 0x39, 0xac, 0x05, 0xc2, 0x9d, 0x48, 0x11, 0x80, 0x5f, 0x83, 0x85, 0xaa, 0x27,
	0x7c, 0xb4, 0xa6, 0x17, 0x77, 0xdf, 0xe1, 0xdc, 0x8d, 0x84, 0x5a, 0x28, 0x2d, 0xc3, 0x46, 0xcb,
	0x84, 0xe3, 0x12, 0xca, 0xd4, 0x57, 0x25, 0x98, 0xa2, 0x75, 0x3d, 0xf5, 0xd9, 0x32, 0x52, 0x22,
	0xcd, 0x65, 0x98, 0xa9, 0xb7, 0x4a, 0x28, 0xb3, 0x4f, 0x8b, 0x14, 0x3c, 0xb4, 0xa1, 0x67, 0x9f,
	0x32, 0x15, 0x85, 0xae, 0xbc, 0xc4, 0xec, 0x53, 0x92, 0x15, 0x98, 0x57, 0x55, 0xce, 0x29, 0x42,
	0x0f, 0xf4, 0xbc, 0xaa, 0x87, 0x09, 0x73, 0xc7, 0xc1, 0xc2, 0x22, 0x55, 0x41, 0xe6, 0x55, 0xed,
	0x2b, 0x18, 0x77, 0x3a, 0xa6, 0x64, 0x43, 0x21, 0x43, 0xcf, 0xe9, 0x10, 0x74, 0x95, 0x63, 0xdb,
	0x93, 0x2a, 0x99, 0xd3, 0xb1, 0x3f, 0xa1, 0x8e, 0xdf, 0xab, 0x1a, 0xc9, 0x4a, 0x68, 0x53, 0xef,
	0x5e, 0x15, 0xfa, 0xf0, 0x28, 0x15, 0x94, 0x42, 0x95, 0xfd, 0xac, 0x6a, 0xc3, 0xee, 0xd5, 0xfd,
	0xe9, 0x4d, 0xf8, 0xbd, 0x3a, 0x25, 0x3d, 0x0d, 0xfd, 0x58, 0xef, 0x5e, 0x15, 0x7a, 0x52, 0x7a,
	0x15, 0x99, 0x50, 0xc7, 0xee, 0xd5, 0xfd, 0xea, 0x2a, 0xf8, 0xc7, 0x36, 0xb8, 0x34, 0x39, 0x73,
	0x0c, 0x3d, 0x6c, 0xdc, 0xa9, 0x69, 0x53, 0xa7, 0x4c, 0x99, 0xd8, 0x29, 0x69, 0xaa, 0x7e, 0xd3,
	0x06, 0xaf, 0x4c, 0x48, 0x86, 0x43, 0x5b, 0x7a, 0x57, 0x97, 0xa0, 0x75, 0xd3, 0x26, 0xb8, 0xb2,
	0x3b, 0x79, 0x05, 0xbb, 0xba, 0xf6, 0x2b, 0x70, 0x6e, 0xff, 0x4e, 0xfd, 0xe9, 0x0b, 0xda, 0xd6,
	0xb3, 0x7f, 0xbb, 0x89, 0x90, 0xe4, 0x85, 0x68, 0x27, 0x15, 0x21, 0x18, 0x44, 0x13, 0xab, 0x99,
	0xfd, 0x8b, 0x27, 0xd6, 0xf2, 0x27, 0x70, 0x39, 0xbd, 0x03, 0x3d, 0xd2, 0x7c, 0x02, 0x0f, 0x49,
	0xb0, 0x45, 0xc5, 0x37, 0x7f, 0x09, 0xe1, 0x4f, 0xe0, 0x22, 0xc0, 0xdc, 0x90, 0x8a, 0x24, 0x7a,
	0xf4, 0x58, 0xcf, 0x0d, 0xe9, 0x71, 0xea, 0x2e, 0x67, 0x0a, 0x87, 0xab, 0x8a, 0x32, 0x37, 0xc4,
	0x52, 0x41, 0x76, 0xb4, 0x16, 0x79, 0xc6, 0x68, 0x47, 0xef, 0x68, 0xdd, 0x20, 0xa2, 0x61, 0x9c,
	0x97, 0xd8, 0xd1, 0x3a, 0xcc, 0x0a, 0xf0, 0x9f, 0x6d, 0xf0, 0xa6, 0x4e, 0x1e, 0x2d, 0xfa, 0x98,
	0x2b, 0x25, 0xb5, 0x09, 0x2f, 0xc4, 0xff, 0x84, 0x8b, 0xea, 0xa5, 0x92, 0x76, 0x73, 0x41, 0x45,
	0x5f, 0xea, 0x1a, 0x19, 0x2d, 0xf3, 0xca, 0xa8, 0xa6, 0x0d, 0xfb, 0xf2, 0x4a, 0x2a, 0x35, 0xda,
	0xd5, 0x8c, 0x86, 0x12, 0x62, 0x6f, 0x46, 0xc4, 0x95, 0x27, 0x27, 0x47, 0x78, 0x34, 0x54, 0x04,
	0xd8, 0x97, 0xaf, 0xf8, 0x75, 0x0b, 0xfa, 0x4c, 0xef, 0xcb, 0xaf, 0x26, 0xd4, 0x5d, 0xc6, 0x14,
	0x1f, 0x6b, 0x14, 0x94, 0x7d, 0xf9, 0x81, 0x0a, 0xf2, 0xe3, 0x69, 0xf2, 0x8f, 0x13, 0xd0, 0xe7,
	0x7a, 0xc7, 0x53, 0xf6, 0x5e, 0xd0, 0xe3, 0x02, 0xb6, 0xa8, 0xb7, 0x5f, 0x7e, 0x4b, 0x50, 0xea,
	0xd8, 0xf1, 0x64, 0x55, 0x57, 0xf1, 0x8b, 0x71, 0xca, 0x2f, 0x10, 0xd0, 0x97, 0x7a, 0x17, 0x63,
	0xa6, 0x79, 0x3b, 0x91, 0x50, 0xdd, 0x2d, 0xb5, 0x92, 0x5d, 0x8c, 0xd6, 0x84, 0x3a, 0x66, 0x28,
	0x94, 0x13, 0xe5, 0xd1, 0x53, 0x3d, 0x43, 0x81, 0x2d, 0x82, 0xed, 0x84, 0x28, 0xaf, 0x0c, 0x11,
	0x64, 0x86, 0xc2, 0x50, 0xc1, 0xf8, 0xc9, 0x50, 0xfe, 0x29, 0x07, 0xfa, 0xa9, 0xe6, 0xc9, 0x90,
	0x52, 0xe5, 0xfd, 0x5a, 0x42, 0xf9, 0xc9, 0xa0, 0x82, 0xf0, 0x80, 0x3f, 0xf6, 0xaa, 0xbf, 0x7f,
	0x43, 0x3f, 0xd3, 0x1b, 0x72, 0x7a, 0x13, 0xca, 0x9a, 0x55, 0x90, 0x0d, 0x19, 0x2b, 0x18, 0x1f,
	0x72, 0xf9, 0x67, 0x50, 0xe8, 0x2b, 0xcd, 0x21, 0xa7, 0x54, 0x65, 0xc8, 0x2a, 0xca, 0x87, 0xac,
	0x82, 0xab, 0x73, 0x62, 0xa6, 0xdc, 0xe2, 0xdf, 0x67, 0xc0, 0x29, 0x29, 0xc7, 0x0c, 0xae, 0x81,
	0xd3, 0x45, 0xc8, 0x86, 0x7a, 0x36, 0x39, 0x4c, 0xd3, 0xe9, 0x2e, 0x67, 0xdd, 0xca, 0x52, 0xfe,
	0x3a, 0x9b, 0x5e, 0x74, 0xeb, 0x46, 0x92, 0xe3, 0x36, 0x9f, 0x73, 0x36, 0x19, 0x05, 0x7a, 0xe0,
	0x5c, 0xe2, 0x09, 0x8f, 0x71, 0xb4, 0xd7, 0x27, 0x0e, 0x71, 0x89, 0x17, 0x85, 0x68, 0x86, 0xe7,
	0xfd, 0xdd, 0x6b, 0x94, 0xf5, 0x96, 0x38, 0xc4, 0x3b, 0x38, 0xda, 0x5b, 0x4f, 0xc4, 0x98, 0x67,
	0x87, 0x0a, 0x12, 0x5e, 0xb2, 0xc1, 0x19, 0xb5, 0x19, 0x7c, 0x15, 0x24, 0xde, 0x73, 0xdf, 0xc3,
	0x6e, 0x92, 0x13, 0x38, 0x6b, 0xce, 0x72, 0xe4, 0x11, 0x76, 0x09, 0xbc, 0x06, 0x5e, 0x4a, 0x86,
	0x37, 0x53, 0x3f, 0xbc, 0xa4, 0xe5, 0xe2, 0x37, 0x33, 0x60, 0x4e, 0xcc, 0xa3, 0x83, 0x37, 0xc0,
	0x85, 0xd8, 0x1b, 0xc7, 0x03, 0x87, 0x86, 0x7b, 0xd9, 0x57, 0x2c, 0x52, 0x10, 0x67, 0xcd, 0x05,
	0xa1, 0xb6, 0x48, 0xb3, 0x1b, 0x03, 0x94, 0x3a, 0x3a, 0x07, 0xd4, 0x77, 0x92, 0x99, 0xce, 0xb2,
	0xf9, 0x92, 0xce, 0xdc, 0xd2, 0x73, 0x76, 0x9e, 0x64, 0xf4, 0x2c, 0xaf, 0xef, 0xc2, 0xb8, 0x12,
	0x87, 0x3f, 0x07, 0x17, 0x14, 0xd7, 0x2a, 0xd3, 0x97, 0x64, 0x32, 0xde, 0x68, 0xe4, 0x5c, 0x65,
	0xda, 0x16, 0xc6, 0x15, 0xe8, 0xe2, 0x7f, 0xdb, 0xe0, 0x42, 0x75, 0xf7, 0xe0, 0x3d, 0x70, 0x99,
	0x1c, 0xa6, 0xa9, 0x4d, 0x69, 0x7f, 0x6c, 0x12, 0x5a, 0x01, 0x1d, 0xf3, 0x9c, 0xc8, 0x24, 0xdf,
	0xf2, 0x62, 0xd6, 0x24, 0x11, 0xb2, 0x56, 0x34, 0x80, 0x6b, 0xe0, 0xd8, 0x3e, 0x39, 0x4a, 0x73,
	0x27, 0x57, 0xea, 0xb2, 0x2f, 0x95, 0x4e, 0x3c, 0x24, 0x47, 0x26, 0xa3, 0xc3, 0x65, 0xb0, 0xa0,
	0xf6, 0x82, 0xaf, 0x90, 0x97, 0xb8, 0x7a, 0x28, 0xab, 0xe7, 0x4b, 0xe5, 0x0d, 0x70, 0x8a, 0x86,
	0x7d, 0x72, 0x48, 0xdc, 0x71, 0x44, 0x07, 0x0e, 0x41, 0x2f, 0x5f, 0x69, 0x5f, 0x3d, 0x61, 0xce,
	0xd1, 0x70, 0x3d, 0xc7, 0x16, 0x5f, 0x80, 0x85, 0xaa, 0x59, 0x82, 0x83, 0xdc, 0xad, 0x8d, 0xfc,
	0x31, 0xb5, 0xfa, 0xc4, 0x8b, 0x02, 0x4a, 0xb2, 0x1c, 0xd8, 0x65, 0xbd, 0x51, 0x7c, 0xc2, 0xa8,
	0xeb, 0x5e, 0x14, 0x1c, 0x65, 0xbe, 0x6b, 0x8e, 0x50, 0x12, 0xae, 0xfe, 0xab, 0x0d, 0x16, 0x2d,
	0xdf, 0xad, 0xf9, 0x8a, 0xab, 0x27, 0xf9, 0x1a, 0x0c, 0x77, 0xd8, 0x0a, 0xdf, 0x69, 0x7f, 0xb1,
	0x96, 0x36, 0x1f, 0xf9, 0x0e, 0xf6, 0x46, 0x1d, 0x3f, 0x18, 0x2d, 0x8d, 0x88, 0xc7, 0xd7, 0x7f,
	0x96, 0x09, 0x3c, 0xa6, 0xe1, 0xa4, 0xc4, 0xe0, 0xbb, 0xc9, 0x9f, 0x6f, 0x66, 0x8e, 0x3d, 0xe8,
	0x76, 0xff, 0x36, 0xf3, 0x5a, 0x92, 0x91, 0xdb, 0xe9, 0xda, 0x42, 0xde, 0x6e, 0xe7, 0xc9, 0x72,
	0xb2, 0x99, 0xc3, 0xff, 0x64, 0x0d, 0x9e, 0x76, 0xed, 0xf0, 0x69, 0xde, 0xe0, 0xe9, 0x93, 0xe5,
	0xa7, 0x49, 0x83, 0xc1, 0xcb, 0x5c, 0xf1, 0xf5, 0xff, 0x07, 0x00, 0x00, 0xff, 0xff, 0x72, 0x91,
	0xd2, 0x81, 0xf2, 0x3e, 0x00, 0x00,
}
