// Code generated by protoc-gen-go. DO NOT EDIT.
// source: google/ads/googleads/v0/resources/keyword_plan_campaign.proto

package resources // import "google.golang.org/genproto/googleapis/ads/googleads/v0/resources"

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import wrappers "github.com/golang/protobuf/ptypes/wrappers"
import enums "google.golang.org/genproto/googleapis/ads/googleads/v0/enums"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// A Keyword Plan campaign.
type KeywordPlanCampaign struct {
	// The resource name of the Keyword Plan campaign.
	// KeywordPlanCampaign resource names have the form:
	//
	// `customers/{customer_id}/keywordPlanCampaigns/{kp_campaign_id}`
	ResourceName string `protobuf:"bytes,1,opt,name=resource_name,json=resourceName,proto3" json:"resource_name,omitempty"`
	// The keyword plan this campaign belongs to.
	KeywordPlan *wrappers.StringValue `protobuf:"bytes,2,opt,name=keyword_plan,json=keywordPlan,proto3" json:"keyword_plan,omitempty"`
	// The ID of the Keyword Plan campaign.
	Id *wrappers.Int64Value `protobuf:"bytes,3,opt,name=id,proto3" json:"id,omitempty"`
	// The name of the Keyword Plan campaign.
	//
	// This field is required and should not be empty when creating Keyword Plan
	// campaigns.
	Name *wrappers.StringValue `protobuf:"bytes,4,opt,name=name,proto3" json:"name,omitempty"`
	// The languages targeted for the Keyword Plan campaign.
	LanguageConstants []*wrappers.StringValue `protobuf:"bytes,5,rep,name=language_constants,json=languageConstants,proto3" json:"language_constants,omitempty"`
	// Targeting network.
	//
	// This field is required and should not be empty when creating Keyword Plan
	// campaigns.
	KeywordPlanNetwork enums.KeywordPlanNetworkEnum_KeywordPlanNetwork `protobuf:"varint,6,opt,name=keyword_plan_network,json=keywordPlanNetwork,proto3,enum=google.ads.googleads.v0.enums.KeywordPlanNetworkEnum_KeywordPlanNetwork" json:"keyword_plan_network,omitempty"`
	// A default max cpc bid in micros, and in the account currency, for all ad
	// groups under the campaign.
	//
	// This field is required and should not be empty when creating Keyword Plan
	// campaigns.
	CpcBidMicros *wrappers.Int64Value `protobuf:"bytes,7,opt,name=cpc_bid_micros,json=cpcBidMicros,proto3" json:"cpc_bid_micros,omitempty"`
	// The geo targets.
	GeoTargets           []*KeywordPlanGeoTarget `protobuf:"bytes,8,rep,name=geo_targets,json=geoTargets,proto3" json:"geo_targets,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *KeywordPlanCampaign) Reset()         { *m = KeywordPlanCampaign{} }
func (m *KeywordPlanCampaign) String() string { return proto.CompactTextString(m) }
func (*KeywordPlanCampaign) ProtoMessage()    {}
func (*KeywordPlanCampaign) Descriptor() ([]byte, []int) {
	return fileDescriptor_keyword_plan_campaign_67d6c64c85cecb01, []int{0}
}
func (m *KeywordPlanCampaign) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_KeywordPlanCampaign.Unmarshal(m, b)
}
func (m *KeywordPlanCampaign) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_KeywordPlanCampaign.Marshal(b, m, deterministic)
}
func (dst *KeywordPlanCampaign) XXX_Merge(src proto.Message) {
	xxx_messageInfo_KeywordPlanCampaign.Merge(dst, src)
}
func (m *KeywordPlanCampaign) XXX_Size() int {
	return xxx_messageInfo_KeywordPlanCampaign.Size(m)
}
func (m *KeywordPlanCampaign) XXX_DiscardUnknown() {
	xxx_messageInfo_KeywordPlanCampaign.DiscardUnknown(m)
}

var xxx_messageInfo_KeywordPlanCampaign proto.InternalMessageInfo

func (m *KeywordPlanCampaign) GetResourceName() string {
	if m != nil {
		return m.ResourceName
	}
	return ""
}

func (m *KeywordPlanCampaign) GetKeywordPlan() *wrappers.StringValue {
	if m != nil {
		return m.KeywordPlan
	}
	return nil
}

func (m *KeywordPlanCampaign) GetId() *wrappers.Int64Value {
	if m != nil {
		return m.Id
	}
	return nil
}

func (m *KeywordPlanCampaign) GetName() *wrappers.StringValue {
	if m != nil {
		return m.Name
	}
	return nil
}

func (m *KeywordPlanCampaign) GetLanguageConstants() []*wrappers.StringValue {
	if m != nil {
		return m.LanguageConstants
	}
	return nil
}

func (m *KeywordPlanCampaign) GetKeywordPlanNetwork() enums.KeywordPlanNetworkEnum_KeywordPlanNetwork {
	if m != nil {
		return m.KeywordPlanNetwork
	}
	return enums.KeywordPlanNetworkEnum_UNSPECIFIED
}

func (m *KeywordPlanCampaign) GetCpcBidMicros() *wrappers.Int64Value {
	if m != nil {
		return m.CpcBidMicros
	}
	return nil
}

func (m *KeywordPlanCampaign) GetGeoTargets() []*KeywordPlanGeoTarget {
	if m != nil {
		return m.GeoTargets
	}
	return nil
}

// A geo target.
// Next ID: 3
type KeywordPlanGeoTarget struct {
	// Required. The resource name of the geo target.
	GeoTargetConstant    *wrappers.StringValue `protobuf:"bytes,1,opt,name=geo_target_constant,json=geoTargetConstant,proto3" json:"geo_target_constant,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *KeywordPlanGeoTarget) Reset()         { *m = KeywordPlanGeoTarget{} }
func (m *KeywordPlanGeoTarget) String() string { return proto.CompactTextString(m) }
func (*KeywordPlanGeoTarget) ProtoMessage()    {}
func (*KeywordPlanGeoTarget) Descriptor() ([]byte, []int) {
	return fileDescriptor_keyword_plan_campaign_67d6c64c85cecb01, []int{1}
}
func (m *KeywordPlanGeoTarget) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_KeywordPlanGeoTarget.Unmarshal(m, b)
}
func (m *KeywordPlanGeoTarget) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_KeywordPlanGeoTarget.Marshal(b, m, deterministic)
}
func (dst *KeywordPlanGeoTarget) XXX_Merge(src proto.Message) {
	xxx_messageInfo_KeywordPlanGeoTarget.Merge(dst, src)
}
func (m *KeywordPlanGeoTarget) XXX_Size() int {
	return xxx_messageInfo_KeywordPlanGeoTarget.Size(m)
}
func (m *KeywordPlanGeoTarget) XXX_DiscardUnknown() {
	xxx_messageInfo_KeywordPlanGeoTarget.DiscardUnknown(m)
}

var xxx_messageInfo_KeywordPlanGeoTarget proto.InternalMessageInfo

func (m *KeywordPlanGeoTarget) GetGeoTargetConstant() *wrappers.StringValue {
	if m != nil {
		return m.GeoTargetConstant
	}
	return nil
}

func init() {
	proto.RegisterType((*KeywordPlanCampaign)(nil), "google.ads.googleads.v0.resources.KeywordPlanCampaign")
	proto.RegisterType((*KeywordPlanGeoTarget)(nil), "google.ads.googleads.v0.resources.KeywordPlanGeoTarget")
}

func init() {
	proto.RegisterFile("google/ads/googleads/v0/resources/keyword_plan_campaign.proto", fileDescriptor_keyword_plan_campaign_67d6c64c85cecb01)
}

var fileDescriptor_keyword_plan_campaign_67d6c64c85cecb01 = []byte{
	// 487 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x93, 0x61, 0x8b, 0xd3, 0x30,
	0x18, 0xc7, 0x69, 0x37, 0x4f, 0xcd, 0xe6, 0x81, 0xb9, 0x7b, 0x51, 0x4e, 0x91, 0xdd, 0x89, 0x30,
	0x10, 0xd2, 0x72, 0x8a, 0x0a, 0x22, 0xd2, 0x1d, 0x32, 0xf5, 0xf4, 0x18, 0x55, 0x86, 0xc8, 0xa0,
	0x64, 0x49, 0x0c, 0x65, 0x6d, 0x52, 0x92, 0xf6, 0x86, 0x7e, 0x1c, 0x5f, 0xfa, 0x29, 0x7c, 0xed,
	0x77, 0xf0, 0xbb, 0xc8, 0x92, 0xa5, 0x37, 0xbc, 0x9d, 0xf5, 0xdd, 0xb3, 0xec, 0xf9, 0x3d, 0xff,
	0x7f, 0xff, 0x79, 0x02, 0x5e, 0x70, 0x29, 0x79, 0xce, 0x42, 0x4c, 0x75, 0x68, 0xcb, 0x55, 0x75,
	0x1e, 0x85, 0x8a, 0x69, 0x59, 0x2b, 0xc2, 0x74, 0xb8, 0x60, 0x5f, 0x97, 0x52, 0xd1, 0xb4, 0xcc,
	0xb1, 0x48, 0x09, 0x2e, 0x4a, 0x9c, 0x71, 0x81, 0x4a, 0x25, 0x2b, 0x09, 0x0f, 0x2d, 0x83, 0x30,
	0xd5, 0xa8, 0xc1, 0xd1, 0x79, 0x84, 0x1a, 0xfc, 0xe0, 0xd9, 0x55, 0x0a, 0x4c, 0xd4, 0xc5, 0x5f,
	0xd3, 0x05, 0xab, 0x96, 0x52, 0x2d, 0xec, 0xf0, 0x83, 0x7b, 0x6b, 0xd2, 0xfc, 0x9a, 0xd7, 0x5f,
	0xc2, 0xa5, 0xc2, 0x65, 0xc9, 0x94, 0xb6, 0xff, 0x1f, 0xfd, 0xec, 0x82, 0xbd, 0x53, 0x8b, 0x4f,
	0x72, 0x2c, 0x4e, 0xd6, 0xd6, 0xe0, 0x7d, 0x70, 0xcb, 0xc9, 0xa7, 0x02, 0x17, 0x2c, 0xf0, 0x06,
	0xde, 0xf0, 0x66, 0xd2, 0x77, 0x87, 0x67, 0xb8, 0x60, 0xf0, 0x25, 0xe8, 0x6f, 0x4a, 0x07, 0xfe,
	0xc0, 0x1b, 0xf6, 0x8e, 0xef, 0xae, 0xbf, 0x02, 0x39, 0x4d, 0xf4, 0xa1, 0x52, 0x99, 0xe0, 0x53,
	0x9c, 0xd7, 0x2c, 0xe9, 0x2d, 0x2e, 0xd4, 0xe0, 0x43, 0xe0, 0x67, 0x34, 0xe8, 0x18, 0xec, 0xce,
	0x25, 0xec, 0x8d, 0xa8, 0x9e, 0x3c, 0xb6, 0x94, 0x9f, 0x51, 0x18, 0x81, 0xae, 0x71, 0xd2, 0xfd,
	0x0f, 0x15, 0xd3, 0x09, 0x4f, 0x01, 0xcc, 0xb1, 0xe0, 0x35, 0xe6, 0x2c, 0x25, 0x52, 0xe8, 0x0a,
	0x8b, 0x4a, 0x07, 0xd7, 0x06, 0x9d, 0x56, 0xfe, 0xb6, 0xe3, 0x4e, 0x1c, 0x06, 0xbf, 0x81, 0xfd,
	0x6d, 0x39, 0x07, 0x3b, 0x03, 0x6f, 0xb8, 0x7b, 0xfc, 0x1a, 0x5d, 0x75, 0x8b, 0xe6, 0x8a, 0xd0,
	0x46, 0xc6, 0x67, 0x16, 0x7c, 0x25, 0xea, 0x62, 0xcb, 0x71, 0x02, 0x17, 0x97, 0xce, 0x60, 0x0c,
	0x76, 0x49, 0x49, 0xd2, 0x79, 0x46, 0xd3, 0x22, 0x23, 0x4a, 0xea, 0xe0, 0x7a, 0x7b, 0x66, 0x7d,
	0x52, 0x92, 0x51, 0x46, 0xdf, 0x1b, 0x00, 0x7e, 0x02, 0x3d, 0xce, 0x64, 0x5a, 0x61, 0xc5, 0x59,
	0xa5, 0x83, 0x1b, 0x26, 0x84, 0xa7, 0xa8, 0x75, 0xf7, 0x36, 0x2d, 0x8e, 0x99, 0xfc, 0x68, 0xf8,
	0x04, 0x70, 0x57, 0xea, 0x23, 0x0a, 0xf6, 0xb7, 0xf5, 0xc0, 0x77, 0x60, 0xef, 0x42, 0xb1, 0xc9,
	0xdf, 0x2c, 0x52, 0x6b, 0xfc, 0xcd, 0x78, 0x97, 0xff, 0xe8, 0xb7, 0x07, 0x1e, 0x10, 0x59, 0xb4,
	0x1b, 0x1e, 0x05, 0x5b, 0xf6, 0x79, 0xb2, 0x52, 0x99, 0x78, 0x9f, 0xdf, 0xae, 0x71, 0x2e, 0x57,
	0x17, 0x8c, 0xa4, 0xe2, 0x21, 0x67, 0xc2, 0x78, 0x70, 0x0f, 0xab, 0xcc, 0xf4, 0x3f, 0x5e, 0xf2,
	0xf3, 0xa6, 0xfa, 0xee, 0x77, 0xc6, 0x71, 0xfc, 0xc3, 0x3f, 0x1c, 0xdb, 0x91, 0x31, 0xd5, 0xc8,
	0x96, 0xab, 0x6a, 0x1a, 0xa1, 0xc4, 0x75, 0xfe, 0x72, 0x3d, 0xb3, 0x98, 0xea, 0x59, 0xd3, 0x33,
	0x9b, 0x46, 0xb3, 0xa6, 0x67, 0xbe, 0x63, 0x4c, 0x3c, 0xfa, 0x13, 0x00, 0x00, 0xff, 0xff, 0x1a,
	0x82, 0x8f, 0x23, 0x4d, 0x04, 0x00, 0x00,
}
